<?php
/*##################################################
 *                               admin_gallery_cat.php
 *                            -------------------
 *   begin                : August 01, 2007
 *   copyright          : (C) 2007 Viarre Rgis
 *   email                : crowkait@phpboost.com
 *
 *  
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
###################################################*/

include_once('../includes/admin_begin.php');
include_once('../gallery/lang/' . $CONFIG['lang'] . '/gallery_' . $CONFIG['lang'] . '.php'); //Chargement de la langue du module.
define('TITLE', $LANG['administration']);
include_once('../includes/admin_header.php');
		
$id = !empty($_GET['id']) ? numeric($_GET['id']) : 0;
$del = !empty($_GET['del']) ? numeric($_GET['del']) : 0;
$move = !empty($_GET['move']) ? trim($_GET['move']) : 0;
$root = !empty($_GET['root']) ? numeric($_GET['root']) : 0;

//Si c'est confirm on execute
if( !empty($_POST['valid']) && !empty($id) )
{
	$cache->load_file('gallery');
	
	$to = !empty($_POST['category']) ? numeric($_POST['category']) : 0;
	$name = !empty($_POST['name']) ? securit($_POST['name']) : '';
	$contents = !empty($_POST['desc']) ? securit($_POST['desc']) : '';
	$status = isset($_POST['status']) ? numeric($_POST['status']) : 1;  
	$aprob = isset($_POST['aprob']) ? numeric($_POST['aprob']) : 1;  
	$auth_read = isset($_POST['groups_authr']) ? $_POST['groups_authr'] : ''; 
	$auth_write = isset($_POST['groups_authw']) ? $_POST['groups_authw'] : ''; 
	$auth_edit = isset($_POST['groups_authx']) ? $_POST['groups_authx'] : ''; 

	//Gnration du tableau des droits.
	$array_auth_all = $groups->return_array_auth($auth_read, $auth_write, $auth_edit);

	if( !empty($name) )
	{
		$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET name = '" . $name . "', contents = '" . $contents . "', aprob = '" . $aprob . "', status = '" . $status . "', auth = '" . securit(serialize($array_auth_all), HTML_NO_PROTECT) . "' WHERE id = '" . $id . "'", __LINE__, __FILE__);

		//Empche le dplacement dans une catgorie fille.
		$to = $sql->query("SELECT id FROM ".PREFIX."gallery_cats WHERE id = '" . $to . "' AND id_left NOT BETWEEN '" . $CAT_GALLERY[$id]['id_left'] . "' AND '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);
		 
		//Catgorie parente change?
		$change_cat = !empty($to) ? !($CAT_GALLERY[$to]['id_left'] < $CAT_GALLERY[$id]['id_left'] && $CAT_GALLERY[$to]['id_right'] > $CAT_GALLERY[$id]['id_right'] && ($CAT_GALLERY[$id]['level'] - 1) == $CAT_GALLERY[$to]['level']) : $CAT_GALLERY[$id]['level'] > 0;		
		if( $change_cat )
		{
			//On vrifie si la catgorie contient des sous galeries.
			$nbr_cat = (($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$id]['id_left'] - 1) / 2) + 1;
		
			//Sous galeries de la galerie  supprimer.
			$list_cats = '';
			$result = $sql->query_while("SELECT id
			FROM ".PREFIX."gallery_cats 
			WHERE id_left BETWEEN '" . $CAT_GALLERY[$id]['id_left'] . "' AND '" . $CAT_GALLERY[$id]['id_right'] . "'
			ORDER BY id_left", __LINE__, __FILE__);
			while( $row = $sql->sql_fetch_assoc($result) )
			{
				$list_cats .= $row['id'] . ', ';
			}
			$sql->close($result);
			$list_cats = trim($list_cats, ', ');
			
			//Galeries parentes de la galerie  supprimer.
			$list_parent_cats = '';
			$result = $sql->query_while("SELECT id 
			FROM ".PREFIX."gallery_cats 
			WHERE id_left < '" . $CAT_GALLERY[$id]['id_left'] . "' AND id_right > '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);
			while( $row = $sql->sql_fetch_assoc($result) )
			{
				$list_parent_cats .= $row['id'] . ', ';
			}
			$sql->close($result);
			$list_parent_cats = trim($list_parent_cats, ', ');
			
			//Prcaution pour viter erreur fatale, cas impossible si cohrence de l'arbre respecte.
			if( empty($list_cats) )
			{
				header('location:' . HOST . SCRIPT);
				exit;
			}
			
			//Galeries parentes de la galerie cible.
			if( !empty($to) )
			{
				$list_parent_cats_to = '';
				$result = $sql->query_while("SELECT id 
				FROM ".PREFIX."gallery_cats 
				WHERE id_left <= '" . $CAT_GALLERY[$to]['id_left'] . "' AND id_right >= '" . $CAT_GALLERY[$to]['id_right'] . "'", __LINE__, __FILE__);
				while( $row = $sql->sql_fetch_assoc($result) )
				{
					$list_parent_cats_to .= $row['id'] . ', ';
				}
				$sql->close($result);
				$list_parent_cats_to = trim($list_parent_cats_to, ', ');
						
				if( empty($list_parent_cats_to) )
					$clause_parent_cats_to = " id = '" . $to . "'";
				else
					$clause_parent_cats_to = " id IN (" . $list_parent_cats_to . ")";
			}

			########## Suppression ##########
			//On supprime virtuellement (changement de signe des bornes) les enfants.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left, id_right = - id_right WHERE id IN (" . $list_cats . ")", __LINE__, __FILE__);					
			
			//Rcupration du nombre d'images de la galerie.
			$nbr_pics_aprob = $sql->query("SELECT nbr_pics_aprob FROM ".PREFIX."gallery_cats WHERE id = '" . $id . "'", __LINE__, __FILE__);
			$nbr_pics_unaprob = $sql->query("SELECT nbr_pics_unaprob FROM ".PREFIX."gallery_cats WHERE id = '" . $id . "'", __LINE__, __FILE__);
			
			//On modifie les bornes droites des parents et le nbr d'images.
			if( !empty($list_parent_cats) )
			{
				$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right - '" . ( $nbr_cat*2) . "', nbr_pics_aprob = nbr_pics_aprob - " . numeric($nbr_pics_aprob) . ", nbr_pics_unaprob = nbr_pics_unaprob - " . numeric($nbr_pics_unaprob) . " WHERE id IN (" . $list_parent_cats . ")", __LINE__, __FILE__);
			}
			
			//On rduit la taille de l'arbre du nombre de galeries supprimes  partir de la position de celui-ci.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left - '" . ($nbr_cat*2) . "', id_right = id_right - '" . ($nbr_cat*2) . "' WHERE id_left > '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);

			########## Ajout ##########
			if( !empty($to) ) //Galerie cible diffrent de la racine.
			{
				//On modifie les bornes droites et le nbr d'images des parents de la cible.
				$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right + '" . ($nbr_cat*2) . "', nbr_pics_aprob = nbr_pics_aprob + " . numeric($nbr_pics_aprob) . ", nbr_pics_unaprob = nbr_pics_unaprob + " . numeric($nbr_pics_unaprob) . " WHERE " . $clause_parent_cats_to, __LINE__, __FILE__);

				//On augmente la taille de l'arbre du nombre de galeries supprimes  partir de la position de la galerie cible.
				if( $CAT_GALLERY[$id]['id_left'] > $CAT_GALLERY[$to]['id_left']  ) //Direction galerie source -> galerie cible.
				{	
					$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($nbr_cat*2) . "', id_right = id_right + '" . ($nbr_cat*2) . "' WHERE id_left > '" . $CAT_GALLERY[$to]['id_right'] . "'", __LINE__, __FILE__);						
					$limit = $CAT_GALLERY[$to]['id_right'];
					$end = $limit + ($nbr_cat*2) - 1;
				}
				else
				{	
					$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($nbr_cat*2) . "', id_right = id_right + '" . ($nbr_cat*2) . "' WHERE id_left > '" . ($CAT_GALLERY[$to]['id_right'] - ($nbr_cat*2)) . "'", __LINE__, __FILE__);
					$limit = $CAT_GALLERY[$to]['id_right'] - ($nbr_cat*2);
					$end = $limit + ($nbr_cat*2) - 1;						
				}	
				//On replace les galeries supprimes virtuellement.
				$array_sub_cats = explode(', ', $list_cats);
				$z = 0;
				for($i = $limit; $i <= $end; $i = $i + 2)
				{
					$id_left = $limit + ($CAT_GALLERY[$array_sub_cats[$z]]['id_left'] - $CAT_GALLERY[$id]['id_left']);
					$id_right = $end - ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$array_sub_cats[$z]]['id_right']);
					$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = '" . $id_left . "', id_right = '" . $id_right . "' WHERE id = '" . $array_sub_cats[$z] . "'", __LINE__, __FILE__);
					$z++;
				}
					
				//On met  jour la nouvelle galerie.
				$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET level = level - '" . (($CAT_GALLERY[$id]['level'] - $CAT_GALLERY[$to]['level']) - 1) . "' WHERE id IN (" . $list_cats . ")", __LINE__, __FILE__);
			}
			else //Racine
			{
				$max_id = $sql->query("SELECT MAX(id_right) FROM ".PREFIX."gallery_cats", __LINE__, __FILE__);
				//On replace les galeries supprimes virtuellement.
				$array_sub_cats = explode(', ', $list_cats);
				$z = 0;
				$limit = $max_id + 1;
				$end = $limit + ($nbr_cat*2) - 1;	
				for($i = $limit; $i <= $end; $i = $i + 2)
				{
					$id_left = $limit + ($CAT_GALLERY[$array_sub_cats[$z]]['id_left'] - $CAT_GALLERY[$id]['id_left']);
					$id_right = $end - ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$array_sub_cats[$z]]['id_right']);
					$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = '" . $id_left . "', id_right = '" . $id_right . "' WHERE id = '" . $array_sub_cats[$z] . "'", __LINE__, __FILE__);
					$z++;
				}		
				$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET level = level - '" . ($CAT_GALLERY[$id]['level'] - $CAT_GALLERY[$to]['level']) . "' WHERE id IN (" . $list_cats . ")", __LINE__, __FILE__);		
			}
		}
		
		$cache->generate_module_file('gallery');
	}
	else
	{
		header('location:' . HOST . DIR . '/gallery/admin_gallery_cat.php?id=' . $id . '&error=incomplete');
		exit;
	}

	header('location:' . HOST . DIR . '/gallery/admin_gallery_cat.php');
	exit;
}
elseif( !empty($_POST['valid_root']) ) //Modification des autorisations de la racine.
{
	$cache->load_file('gallery');
	
	$auth_read = isset($_POST['groups_authr']) ? $_POST['groups_authr'] : ''; 
	$auth_write = isset($_POST['groups_authw']) ? $_POST['groups_authw'] : ''; 
	$auth_edit = isset($_POST['groups_authx']) ? $_POST['groups_authx'] : ''; 
	
	//Gnration du tableau des droits.
	$array_auth_all = $groups->return_array_auth($auth_read, $auth_write, $auth_edit);
	
	$CONFIG_GALLERY['auth_root'] = serialize($array_auth_all);
	$sql->query_inject("UPDATE ".PREFIX."configs SET value = '" . addslashes(serialize($CONFIG_GALLERY)) . "' WHERE name = 'gallery'", __LINE__, __FILE__);
	$cache->generate_module_file('gallery');
	
	header('location:' . HOST . DIR . '/gallery/admin_gallery_cat.php');
	exit;
}
elseif( !empty($del) ) //Suppression de la catgorie/sous-catgorie.
{
	$cache->load_file('gallery');
	
	$confirm_delete = false;	
	
	$idcat = $sql->query("SELECT id FROM ".PREFIX."gallery_cats WHERE id = '" . $del . "'", __LINE__, __FILE__);
	if( !empty($idcat) && isset($CAT_GALLERY[$idcat]) )
	{
		//On vrifie si la catgorie contient des sous galeries.
		$nbr_sub_cat = (($CAT_GALLERY[$idcat]['id_right'] - $CAT_GALLERY[$idcat]['id_left'] - 1) / 2);
		//On vrifie si la catgorie ne contient pas d'images.
		$check_pics = $sql->query("SELECT COUNT(*) FROM ".PREFIX."gallery WHERE idcat = '" . $idcat . "'", __LINE__, __FILE__);
		
		if( $check_pics == 0 && $nbr_sub_cat == 0 ) //Si vide on supprime simplement, la catgorie.
		{
			$confirm_delete = true;
		}
		else //Sinon on propose de dplacer les images existantes dans une autre galerie.
		{
			if( empty($_POST['del_cat']) )
			{
				$template->set_filenames(array(
					'admin_gallery_cat_del' => '../templates/' . $CONFIG['theme'] . '/gallery/admin_gallery_cat_del.tpl'
				));

				if( $check_pics > 0 ) //Conserve les images.
				{
					//Listing des galeries disponibles, sauf celle qui va tre supprime.		
					$subgallery = '<option value="0">' . $LANG['root'] . '</option>';
					$result = $sql->query_while("SELECT id, name, level
					FROM ".PREFIX."gallery_cats 
					WHERE id_left NOT BETWEEN '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND '" . $CAT_GALLERY[$idcat]['id_right'] . "'
					ORDER BY id_left", __LINE__, __FILE__);
					while( $row = $sql->sql_fetch_assoc($result) )
					{	
						$margin = ($row['level'] > 0) ? str_repeat('--------', $row['level']) : '--';
						$disabled = ($row['level'] > 0) ? '' : ' disabled="disabled"';
						$subgallery .= '<option value="' . $row['id'] . '"' . $disabled . '>' . $margin . ' ' . $row['name'] . '</option>';
					}
					$sql->close($result);
					
					$template->assign_block_vars('pics', array(
						'GALLERIES' => $subgallery,
						'L_KEEP' => $LANG['keep_pics'],
						'L_MOVE_PICS' => $LANG['move_pics_to'],
						'L_EXPLAIN_CAT' => sprintf($LANG['error_warning'], sprintf((($check_pics > 1) ? $LANG['explain_pics'] : $LANG['explain_pic']), $check_pics), '', '')
					));
				}		
				if( $nbr_sub_cat > 0 ) //Converse uniquement les sous-galeries.
				{			
					//Listing des catgories disponibles, sauf celle qui va tre supprime.		
					$subgallery = '<option value="0">' . $LANG['root'] . '</option>';
					$result = $sql->query_while("SELECT id, name, level
					FROM ".PREFIX."gallery_cats 
					WHERE id_left NOT BETWEEN '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND '" . $CAT_GALLERY[$idcat]['id_right'] . "'
					ORDER BY id_left", __LINE__, __FILE__);
					while( $row = $sql->sql_fetch_assoc($result) )
					{	
						$margin = ($row['level'] > 0) ? str_repeat('--------', $row['level']) : '--';
						$subgallery .= '<option value="' . $row['id'] . '">' . $margin . ' ' . $row['name'] . '</option>';
					}
					$sql->close($result);
					
					$template->assign_block_vars('subgalleries', array(
						'GALLERIES' => $subgallery,
						'L_KEEP' => $LANG['keep_subgallery'],
						'L_MOVE_GALLERIES' => $LANG['move_subgalleries_to'],
						'L_EXPLAIN_CAT' => sprintf($LANG['error_warning'], sprintf((($nbr_sub_cat > 1) ? $LANG['explain_subgalleries'] : $LANG['explain_subgallery']), $nbr_sub_cat), '', '')
					));
				}
		
				$gallery_name = $sql->query("SELECT name FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
				$template->assign_vars(array(
					'IDCAT' => $idcat,
					'GALLERY_NAME' => $gallery_name,
					'L_REQUIRE_SUBCAT' => $LANG['require_subcat'],
					'L_GALLERY_MANAGEMENT' => $LANG['gallery_management'], 
					'L_GALLERY_PICS_ADD' => $LANG['gallery_pics_add'], 
					'L_GALLERY_CAT_MANAGEMENT' => $LANG['gallery_cats_management'], 
					'L_GALLERY_CAT_ADD' => $LANG['gallery_cats_add'],
					'L_GALLERY_CONFIG' => $LANG['gallery_config'],
					'L_CAT_TARGET' => $LANG['cat_target'],
					'L_DEL_ALL' => $LANG['del_all'],
					'L_DEL_GALLERY_CONTENTS' => sprintf($LANG['del_gallery_contents'], $gallery_name),
					'L_SUBMIT' => $LANG['submit'],
				));
				
				$template->pparse('admin_gallery_cat_del'); //Traitement du modele	
			}
			else //Traitements.
			{			
				if( !empty($_POST['del_conf']) )
				{
					$confirm_delete = true;
				}
				else
				{
					//Dplacement de sous galeries.
					$f_to = !empty($_POST['f_to']) ? numeric($_POST['f_to']) : 0;
					$f_to = $sql->query("SELECT id FROM ".PREFIX."gallery_cats WHERE id = '" . $f_to . "' AND id_left NOT BETWEEN '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
					
					//Dplacement d'images
					$t_to = !empty($_POST['t_to']) ? numeric($_POST['t_to']) : 0;
					$t_to = $sql->query("SELECT id FROM ".PREFIX."gallery_cats WHERE id = '" . $t_to . "' AND id != '" . $idcat . "'", __LINE__, __FILE__);
					
					####Dplacement des images dans la catgorie slectionne.####
					//Galeries parentes de la galerie  supprimer.
					$list_parent_cats = '';
					$result = $sql->query_while("SELECT id
					FROM ".PREFIX."gallery_cats 
					WHERE id_left < '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND id_right > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
					while( $row = $sql->sql_fetch_assoc($result) )
					{
						$list_parent_cats .= $row['id'] . ', ';
					}
					$sql->close($result);
					$list_parent_cats = trim($list_parent_cats, ', ');
					
					//On va chercher la somme du nombre d'images
					$nbr_pics_aprob = $sql->query("SELECT nbr_pics_aprob FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
					$nbr_pics_aprob = !empty($nbr_pics_aprob) ? $nbr_pics_aprob : 0;
					$nbr_pics_unaprob = $sql->query("SELECT nbr_pics_unaprob FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
					$nbr_pics_unaprob = !empty($nbr_pics_unaprob) ? $nbr_pics_unaprob : 0;
					
					//On dplace les images dans la nouvelle galerie.
					$sql->query_inject("UPDATE ".PREFIX."gallery SET idcat = '" . $t_to . "' WHERE idcat = '" . $idcat . "'", __LINE__, __FILE__);

					//On met  jour la nouvelle galerie.
					$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET nbr_pics_aprob = nbr_pics_aprob + " . numeric($nbr_pics_aprob) . ", nbr_pics_unaprob = nbr_pics_unaprob + " . numeric($nbr_pics_unaprob) . " WHERE id = '" . $t_to . "'", __LINE__, __FILE__);
					
					//On modifie les bornes droites des parents et le nbr d'images.
					if( !empty($list_parent_cats) )
					{
						$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET nbr_pics_aprob = nbr_pics_aprob - " . numeric($nbr_pics_aprob) . ", nbr_pics_unaprob = nbr_pics_unaprob - " . numeric($nbr_pics_unaprob) . " WHERE id IN (" . $list_parent_cats . ")", __LINE__, __FILE__);
					}
					
					//On supprime l'ancienne galerie.
					$sql->query_inject("DELETE FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
					
					//Prsence de sous-galeries => dplacement de celles-ci.
					if( $nbr_sub_cat > 0 )
					{
						//Sous galeries de la galerie  supprimer.
						$list_sub_cats = '';
						$result = $sql->query_while("SELECT id
						FROM ".PREFIX."gallery_cats 
						WHERE id_left BETWEEN '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND '" . $CAT_GALLERY[$idcat]['id_right'] . "' AND id != '" . $idcat . "'
						ORDER BY id_left", __LINE__, __FILE__);
						while( $row = $sql->sql_fetch_assoc($result) )
						{
							$list_sub_cats .= $row['id'] . ', ';
						}
						$sql->close($result);
						$list_sub_cats = trim($list_sub_cats, ', ');
						
						//Galeries parentes de la galerie  supprimer.
						$list_parent_cats = '';
						$result = $sql->query_while("SELECT id
						FROM ".PREFIX."gallery_cats 
						WHERE id_left < '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND id_right > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
						while( $row = $sql->sql_fetch_assoc($result) )
						{
							$list_parent_cats .= $row['id'] . ', ';
						}
						$sql->close($result);
						$list_parent_cats = trim($list_parent_cats, ', ');
						
						//Prcaution pour viter erreur fatale, cas impossible si cohrence de l'arbre respecte.
						if( empty($list_sub_cats) )
						{
							header('location:' . HOST . SCRIPT);
							exit;
						}

						//Galeries parentes de la galerie cible.
						if( !empty($f_to) )
						{							
							$list_parent_cats_to = '';
							$result = $sql->query_while("SELECT id
							FROM ".PREFIX."gallery_cats 
							WHERE id_left <= '" . $CAT_GALLERY[$f_to]['id_left'] . "' AND id_right >= '" . $CAT_GALLERY[$f_to]['id_right'] . "'", __LINE__, __FILE__);
							while( $row = $sql->sql_fetch_assoc($result) )
							{
								$list_parent_cats_to .= $row['id'] . ', ';
							}
							$sql->close($result);
							$list_parent_cats_to = trim($list_parent_cats_to, ', ');
						
							if( empty($list_parent_cats_to) )
								$clause_parent_cats_to = " id = '" . $f_to . "'";
							else
								$clause_parent_cats_to = " id IN (" . $list_parent_cats_to . ")";
						}
							
						########## Suppression ##########
						//On supprime l'ancienne galerie.
						$sql->query_inject("DELETE FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
						
						//On supprime virtuellement (changement de signe des bornes) les enfants.
						$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left, id_right = - id_right WHERE id IN (" . $list_sub_cats . ")", __LINE__, __FILE__);					
						
						//Rcupration du nombre d'images de la galerie.
						$nbr_pics_aprob = $sql->query("SELECT nbr_pics_aprob FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
						$nbr_pics_unaprob = $sql->query("SELECT nbr_pics_unaprob FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
			
						//On modifie les bornes droites des parents et le nbr d'images.
						if( !empty($list_parent_cats) )
						{
							$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right - '" . (2 + $nbr_sub_cat*2) . "', nbr_pics_aprob = nbr_pics_aprob - " . numeric($nbr_pics_aprob) . ", nbr_pics_unaprob = nbr_pics_unaprob - " . numeric($nbr_pics_unaprob) . " WHERE id IN (" . $list_parent_cats . ")", __LINE__, __FILE__);
						}
						
						//On rduit la taille de l'arbre du nombre de galerie supprimes  partir de la position de celui-ci.
						$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left - '" . (2 + $nbr_sub_cat*2) . "', id_right = id_right - '" . (2 + $nbr_sub_cat*2) . "' WHERE id_left > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
					
						########## Ajout ##########
						if( !empty($f_to) ) //Galerie cible diffrent de la racine.
						{
							//On modifie les bornes droites et le nbr d'images des parents de la cible.
							$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right + '" . ($nbr_sub_cat*2) . "', nbr_pics_aprob = nbr_pics_aprob + " . numeric($nbr_pics_aprob) . ", nbr_pics_unaprob = nbr_pics_unaprob + " . numeric($nbr_pics_unaprob) . " WHERE " . $clause_parent_cats_to, __LINE__, __FILE__);
							
							//On augmente la taille de l'arbre du nombre de galerie supprimes  partir de la position de la galerie cible.
							if( $CAT_GALLERY[$idcat]['id_left'] > $CAT_GALLERY[$f_to]['id_left'] ) //Direction galerie source -> galerie cible.
							{	
								$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($nbr_sub_cat*2) . "', id_right = id_right + '" . ($nbr_sub_cat*2) . "' WHERE id_left > '" . $CAT_GALLERY[$f_to]['id_right'] . "'", __LINE__, __FILE__);						
								$limit = $CAT_GALLERY[$f_to]['id_right'];
								$end = $limit + ($nbr_sub_cat*2) - 1;
							}
							else
							{	
								$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($nbr_sub_cat*2) . "', id_right = id_right + '" . ($nbr_sub_cat*2) . "' WHERE id_left > '" . ($CAT_GALLERY[$f_to]['id_right'] - (2 + $nbr_sub_cat*2)) . "'", __LINE__, __FILE__);
								$limit = $CAT_GALLERY[$f_to]['id_right'] - (2 + $nbr_sub_cat*2);
								$end = $limit + ($nbr_sub_cat*2) - 1;						
							}
							
							//On replace les galeries supprimes virtuellement.
							$array_sub_cats = explode(', ', $list_sub_cats);
							$z = 0;
							for($i = $limit; $i <= $end; $i = $i + 2)
							{
								$id_left = $limit + ($CAT_GALLERY[$array_sub_cats[$z]]['id_left'] - $CAT_GALLERY[$idcat]['id_left']) - 1;
								$id_right = $end - ($CAT_GALLERY[$idcat]['id_right'] - $CAT_GALLERY[$array_sub_cats[$z]]['id_right']) + 1;
								$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = '" . $id_left . "', id_right = '" . $id_right . "' WHERE id = '" . $array_sub_cats[$z] . "'", __LINE__, __FILE__);
								$z++;
							}								

							//On met  jour le nouveau galerie.
							$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET level = level - '" . ($CAT_GALLERY[$idcat]['level'] - $CAT_GALLERY[$f_to]['level']) . "' WHERE id IN (" . $list_sub_cats . ")", __LINE__, __FILE__);
						}
						else //Racine
						{
							$max_id = $sql->query("SELECT MAX(id_right) FROM ".PREFIX."gallery_cats", __LINE__, __FILE__);
							//On replace les galeries supprimes virtuellement.
							$array_sub_cats = explode(', ', $list_sub_cats);
							$z = 0;
							$limit = $max_id + 1;
							$end = $limit + ($nbr_sub_cat*2) - 1;	
							for($i = $limit; $i <= $end; $i = $i + 2)
							{
								$id_left = $limit + ($CAT_GALLERY[$array_sub_cats[$z]]['id_left'] - $CAT_GALLERY[$idcat]['id_left']) - 1;
								$id_right = $end - ($CAT_GALLERY[$idcat]['id_right'] - $CAT_GALLERY[$array_sub_cats[$z]]['id_right']) + 1;
								$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = '" . $id_left . "', id_right = '" . $id_right . "' WHERE id = '" . $array_sub_cats[$z] . "'", __LINE__, __FILE__);
								$z++;
							}		
							$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET level = level - '" . ($CAT_GALLERY[$idcat]['level'] - $CAT_GALLERY[$f_to]['level'] + 1) . "' WHERE id IN (" . $list_sub_cats . ")", __LINE__, __FILE__);
						}
					}
					else //On rtabli l'arbre intervallaire.
					{
						$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right - 2 WHERE id_left < '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND id_right > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
						$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left - 2, id_right = id_right - 2 WHERE id_left > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
					}
					
					$cache->generate_module_file('gallery');
					
					header('location:' . HOST . SCRIPT);
					exit;
				}	
			}
		}

		if( $confirm_delete ) //Confirmation de suppression, on supprime dans la bdd.
		{
			//Galeries parentes de la galerie  supprimer.
			$list_parent_cats = '';
			$result = $sql->query_while("SELECT id
			FROM ".PREFIX."gallery_cats 
			WHERE id_left < '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND id_right > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
			while( $row = $sql->sql_fetch_assoc($result) )
			{
				$list_parent_cats .= $row['id'] . ', ';
			}
			$sql->close($result);
			$list_parent_cats = trim($list_parent_cats, ', ');
			
			$nbr_del = $CAT_GALLERY[$idcat]['id_right'] - $CAT_GALLERY[$idcat]['id_left'] + 1;
			if( !empty($list_parent_cats) )
			{
				//Rcupration du nombre d'images de la galerie.
				$nbr_pics_aprob = $sql->query("SELECT nbr_pics_aprob FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
				$nbr_pics_unaprob = $sql->query("SELECT nbr_pics_unaprob FROM ".PREFIX."gallery_cats WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
				
				$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right - '" . $nbr_del . "', nbr_pics_aprob = nbr_pics_aprob - '" . numeric($nbr_pics_aprob) . "', nbr_pics_unaprob = nbr_pics_unaprob - '" . numeric($nbr_pics_unaprob) . "' WHERE id IN (" . $list_parent_cats . ")", __LINE__, __FILE__);
			}		
			
			$sql->query_inject("DELETE FROM ".PREFIX."gallery_cats WHERE id_left BETWEEN '" . $CAT_GALLERY[$idcat]['id_left'] . "' AND '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);	
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left - '" . $nbr_del . "', id_right = id_right - '" . $nbr_del . "' WHERE id_left > '" . $CAT_GALLERY[$idcat]['id_right'] . "'", __LINE__, __FILE__);
			$sql->query_inject("DELETE FROM ".PREFIX."gallery WHERE idcat = '" . $idcat . "'", __LINE__, __FILE__);	
			
			###### Regnration du cache #######
			$cache->generate_module_file('gallery');
			
			header('location:' . HOST . DIR . '/gallery/admin_gallery_cat.php');
			exit;
		}		
	}
	else
	{
		header('location:' . HOST . DIR . '/gallery/admin_gallery_cat.php');
		exit;
	}
}
elseif( !empty($id) && !empty($move) ) //Monter/descendre.
{
	$cache->load_file('gallery');
	
	//Catgorie existe?
	if( !isset($CAT_GALLERY[$id]) )
	{
		header('location:' . HOST . DIR . '/gallery/admin_gallery_cat.php');
		exit;
	}
	
	//Galeries parentes de la galerie  dplacer.
	$list_parent_cats = '';
	$result = $sql->query_while("SELECT id 
	FROM ".PREFIX."gallery_cats 
	WHERE id_left < '" . $CAT_GALLERY[$id]['id_left'] . "' AND id_right > '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);
	while( $row = $sql->sql_fetch_assoc($result) )
	{
		$list_parent_cats .= $row['id'] . ', ';
	}
	$sql->close($result);
	$list_parent_cats = trim($list_parent_cats, ', ');
	
	$to = 0;
	if( $move == 'up' )
	{	
		//Mme catgorie
		$switch_id_cat = $sql->query("SELECT id FROM ".PREFIX."gallery_cats
		WHERE '" . $CAT_GALLERY[$id]['id_left'] . "' - id_right = 1", __LINE__, __FILE__);		
		if( !empty($switch_id_cat) )
		{
			//On monte la catgorie  dplacer, on lui assigne des id ngatifs pour assurer l'unicit.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left + '" . ($CAT_GALLERY[$switch_id_cat]['id_right'] - $CAT_GALLERY[$switch_id_cat]['id_left'] + 1) . "', id_right = - id_right + '" . ($CAT_GALLERY[$switch_id_cat]['id_right'] - $CAT_GALLERY[$switch_id_cat]['id_left'] + 1) . "' WHERE id_left BETWEEN '" . $CAT_GALLERY[$id]['id_left'] . "' AND '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);
			//On descend la catgorie cible.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$id]['id_left'] + 1) . "', id_right = id_right + '" . ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$id]['id_left'] + 1) . "' WHERE id_left BETWEEN '" . $CAT_GALLERY[$switch_id_cat]['id_left'] . "' AND '" . $CAT_GALLERY[$switch_id_cat]['id_right'] . "'", __LINE__, __FILE__);
			
			//On rtablit les valeurs absolues.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left WHERE id_left < 0", __LINE__, __FILE__);
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = - id_right WHERE id_right < 0", __LINE__, __FILE__);	
			
			$cache->generate_module_file('gallery');
		}		
		elseif( !empty($list_parent_cats)  )
		{
			//Changement de catgorie.
			$to = $sql->query("SELECT id FROM ".PREFIX."gallery_cats
			WHERE id_left < '" . $CAT_GALLERY[$id]['id_left'] . "' AND level = '" . ($CAT_GALLERY[$id]['level'] - 1) . "' AND
			id NOT IN (" . $list_parent_cats . ")
			ORDER BY id_left DESC" . 
			$sql->sql_limit(0, 1), __LINE__, __FILE__);
		}
	}
	elseif( $move == 'down' )
	{
		//Doit-on changer de catgorie parente ou non ?
		$switch_id_cat = $sql->query("SELECT id FROM ".PREFIX."gallery_cats
		WHERE id_left - '" . $CAT_GALLERY[$id]['id_right'] . "' = 1", __LINE__, __FILE__);
		if( !empty($switch_id_cat) )
		{
			//On monte la catgorie  dplacer, on lui assigne des id ngatifs pour assurer l'unicit.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left - '" . ($CAT_GALLERY[$switch_id_cat]['id_right'] - $CAT_GALLERY[$switch_id_cat]['id_left'] + 1) . "', id_right = - id_right - '" . ($CAT_GALLERY[$switch_id_cat]['id_right'] - $CAT_GALLERY[$switch_id_cat]['id_left'] + 1) . "' WHERE id_left BETWEEN '" . $CAT_GALLERY[$id]['id_left'] . "' AND '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);
			//On descend la catgorie cible.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left - '" . ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$id]['id_left'] + 1) . "', id_right = id_right - '" . ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$id]['id_left'] + 1) . "' WHERE id_left BETWEEN '" . $CAT_GALLERY[$switch_id_cat]['id_left'] . "' AND '" . $CAT_GALLERY[$switch_id_cat]['id_right'] . "'", __LINE__, __FILE__);
			
			//On rtablit les valeurs absolues.
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left WHERE id_left < 0", __LINE__, __FILE__);
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = - id_right WHERE id_right < 0", __LINE__, __FILE__);
			
			$cache->generate_module_file('gallery');
		}
		elseif( !empty($list_parent_cats)  )
		{
			//Changement de catgorie.
			$to = $sql->query("SELECT id FROM ".PREFIX."gallery_cats
			WHERE id_left > '" . $CAT_GALLERY[$id]['id_left'] . "' AND level = '" . ($CAT_GALLERY[$id]['level'] - 1) . "'
			ORDER BY id_left" . 
			$sql->sql_limit(0, 1), __LINE__, __FILE__);
		}
	}

	if( !empty($to) ) //Changement de catgorie possible?
	{
		//On vrifie si la catgorie contient des sous galeries.
		$nbr_cat = (($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$id]['id_left'] - 1) / 2) + 1;
	
		//Sous galeries de la galerie  dplacer.
		$list_cats = '';
		$result = $sql->query_while("SELECT id
		FROM ".PREFIX."gallery_cats 
		WHERE id_left BETWEEN '" . $CAT_GALLERY[$id]['id_left'] . "' AND '" . $CAT_GALLERY[$id]['id_right'] . "'
		ORDER BY id_left", __LINE__, __FILE__);
		while( $row = $sql->sql_fetch_assoc($result) )
		{
			$list_cats .= $row['id'] . ', ';
		}
		$sql->close($result);
		$list_cats = trim($list_cats, ', ');
	
		if( empty($list_cats) )
			$clause_cats = " id = '" . $id . "'";
		else
			$clause_cats = " id IN (" . $list_cats . ")";
			
		//Rcupration du nombre d'images de la galerie.
		$nbr_pics_aprob = $sql->query("SELECT nbr_pics_aprob FROM ".PREFIX."gallery_cats WHERE id = '" . $id . "'", __LINE__, __FILE__);
		$nbr_pics_unaprob = $sql->query("SELECT nbr_pics_unaprob FROM ".PREFIX."gallery_cats WHERE id = '" . $id . "'", __LINE__, __FILE__);
		
		//Galeries parentes de la galerie cible.
		$list_parent_cats_to = '';
		$result = $sql->query_while("SELECT id, level 
		FROM ".PREFIX."gallery_cats 
		WHERE id_left <= '" . $CAT_GALLERY[$to]['id_left'] . "' AND id_right >= '" . $CAT_GALLERY[$to]['id_right'] . "'", __LINE__, __FILE__);
		while( $row = $sql->sql_fetch_assoc($result) )
		{
			$list_parent_cats_to .= $row['id'] . ', ';
		}
		$sql->close($result);
		$list_parent_cats_to = trim($list_parent_cats_to, ', ');
	
		if( empty($list_parent_cats_to) )
			$clause_parent_cats_to = " id = '" . $to . "'";
		else
			$clause_parent_cats_to = " id IN (" . $list_parent_cats_to . ")";
			
		########## Suppression ##########
		//On supprime virtuellement (changement de signe des bornes) les enfants.
		$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = - id_left, id_right = - id_right WHERE " . $clause_cats, __LINE__, __FILE__);					
		//On modifie les bornes droites des parents.
		if( !empty($list_parent_cats) )
		{
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right - '" . ( $nbr_cat*2) . "', nbr_pics_aprob = nbr_pics_aprob - '" . $nbr_pics_aprob . "', nbr_pics_unaprob = nbr_pics_unaprob - '" . $nbr_pics_unaprob . "' WHERE id IN (" . $list_parent_cats . ")", __LINE__, __FILE__);
		}
		
		//On rduit la taille de l'arbre du nombre de galeries supprimes  partir de la position de celui-ci.
		$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left - '" . ($nbr_cat*2) . "', id_right = id_right - '" . ($nbr_cat*2) . "' WHERE id_left > '" . $CAT_GALLERY[$id]['id_right'] . "'", __LINE__, __FILE__);

		########## Ajout ##########
		//On modifie les bornes droites des parents de la cible.
		$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_right = id_right + '" . ($nbr_cat*2) . "', nbr_pics_aprob = nbr_pics_aprob + '" . $nbr_pics_aprob . "', nbr_pics_unaprob = nbr_pics_unaprob + '" . $nbr_pics_unaprob . "' WHERE " . $clause_parent_cats_to, __LINE__, __FILE__);

		//On augmente la taille de l'arbre du nombre de galeries supprimes  partir de la position de la galerie cible.
		if( $CAT_GALLERY[$id]['id_left'] > $CAT_GALLERY[$to]['id_left']  ) //Direction galerie source -> galerie cible.
		{	
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($nbr_cat*2) . "', id_right = id_right + '" . ($nbr_cat*2) . "' WHERE id_left > '" . $CAT_GALLERY[$to]['id_right'] . "'", __LINE__, __FILE__);						
			$limit = $CAT_GALLERY[$to]['id_right'];
			$end = $limit + ($nbr_cat*2) - 1;
		}
		else
		{	
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = id_left + '" . ($nbr_cat*2) . "', id_right = id_right + '" . ($nbr_cat*2) . "' WHERE id_left > '" . ($CAT_GALLERY[$to]['id_right'] - ($nbr_cat*2)) . "'", __LINE__, __FILE__);
			$limit = $CAT_GALLERY[$to]['id_right'] - ($nbr_cat*2);
			$end = $limit + ($nbr_cat*2) - 1;						
		}	

		//On replace les galeries supprimes virtuellement.
		$array_sub_cats = explode(', ', $list_cats);
		$z = 0;
		for($i = $limit; $i <= $end; $i = $i + 2)
		{
			$id_left = $limit + ($CAT_GALLERY[$array_sub_cats[$z]]['id_left'] - $CAT_GALLERY[$id]['id_left']);
			$id_right = $end - ($CAT_GALLERY[$id]['id_right'] - $CAT_GALLERY[$array_sub_cats[$z]]['id_right']);
			$sql->query_inject("UPDATE ".PREFIX."gallery_cats SET id_left = '" . $id_left . "', id_right = '" . $id_right . "' WHERE id = '" . $array_sub_cats[$z] . "'", __LINE__, __FILE__);
			$z++;
		}
		
		$cache->generate_module_file('gallery');
	}
		
	header('location:' . HOST . SCRIPT);
	exit;
}
elseif( !empty($id) ) //Edition des catgories.
{
	$cache->load_file('gallery');
	
	$template->set_filenames(array(
		'admin_gallery_cat_edit' => '../templates/' . $CONFIG['theme'] . '/gallery/admin_gallery_cat_edit.tpl'
	));
			
	$gallery_info = $sql->query_array("gallery_cats", "id_left", "id_right", "level", "name", "contents", "status", "aprob", "auth", "WHERE id = '" . $id . "'", __LINE__, __FILE__);
	
	if( !isset($CAT_GALLERY[$id]) )
	{
		header('location: ' . HOST . DIR . '/gallery/admin_gallery_cat.php?error=unexist_cat');
		exit;
	}
	
	//Listing des catgories disponibles, sauf celle qui va tre supprime.			
	$galeries = '<option value="0">' . $LANG['root'] . '</option>';
	$result = $sql->query_while("SELECT id, id_left, id_right, name, level
	FROM ".PREFIX."gallery_cats 
	WHERE id_left NOT BETWEEN '" . $CAT_GALLERY[$id]['id_left'] . "' AND '" . $CAT_GALLERY[$id]['id_right'] . "'
	ORDER BY id_left", __LINE__, __FILE__);
	while( $row = $sql->sql_fetch_assoc($result) )
	{	
		$margin = ($row['level'] > 0) ? str_repeat('--------', $row['level']) : '--';
		$selected = ($row['id_left'] < $gallery_info['id_left'] && $row['id_right'] > $gallery_info['id_right'] && ($gallery_info['level'] - 1) == $row['level'] ) ? ' selected="selected"' : '';
		$galeries .= '<option value="' . $row['id'] . '"' . $selected . '>' . $margin . ' ' . $row['name'] . '</option>';
	}
	$sql->close($result);
	
	//Cration du tableau des groupes.
	$array_groups = array();
	foreach($_array_groups_auth as $idgroup => $array_group_info)
		$array_groups[$idgroup] = $array_group_info[0];	
		
	//Cration du tableau des rangs.
	$array_ranks = array(-1 => $LANG['guest'], 0 => $LANG['member'], 1 => $LANG['modo'], 2 => $LANG['admin']);
	
	//Rcupration des tableaux des autorisations et des groupes.
	$array_auth = !empty($gallery_info['auth']) ? unserialize($gallery_info['auth']) : array();
	
	//Gnration d'une liste  slection multiple des rangs et groupes
	function generate_select_groups($array_auth, $auth_id, $auth_level)
	{
		global $array_groups, $array_ranks, $LANG;
		
		$j = 0;
		//Liste des rangs
		$select_groups = '<select id="groups_auth' . $auth_id . '" name="groups_auth' . $auth_id . '[]" size="8" multiple="multiple" onclick="document.getElementById(\'' . $auth_id . 'r3\').selected = true;"><optgroup label="' . $LANG['ranks'] . '">';
		foreach($array_ranks as $idgroup => $group_name)
		{
			$selected = '';	
			if( array_key_exists('r' . $idgroup, $array_auth) && ((int)$array_auth['r' . $idgroup] & (int)$auth_level) !== 0 )
				$selected = 'selected="selected"';
				
			$selected = ($idgroup == 2) ? 'selected="selected"' : $selected;
			
			$select_groups .=  '<option value="r' . $idgroup . '" id="' . $auth_id . 'r' . $j . '" ' . $selected . ' onclick="check_select_multiple_ranks(\'' . $auth_id . 'r\', ' . $j . ')">' . $group_name . '</option>';
			$j++;
		}
		$select_groups .=  '</optgroup>';
		
		//Liste des groupes.
		$j = 0;
		$select_groups .= '<optgroup label="' . $LANG['groups'] . '">';
		foreach($array_groups as $idgroup => $group_name)
		{
			$selected = '';		
			if( array_key_exists($idgroup, $array_auth) && ((int)$array_auth[$idgroup] & (int)$auth_level) !== 0 )
				$selected = 'selected="selected"';

			$select_groups .= '<option value="' . $idgroup . '" id="' . $auth_id . 'g' . $j . '" ' . $selected . '>' . $group_name . '</option>';
			$j++;
		}
		$select_groups .= '</optgroup></select>';
		
		return $select_groups;
	}
	
	//Gestion erreur.
	$get_error = !empty($_GET['error']) ? trim($_GET['error']) : '';
	if( $get_error == 'incomplete' )
		$errorh->error_handler($LANG['e_incomplete'], E_USER_NOTICE);	

	$template->assign_vars(array(
		'THEME' => $CONFIG['theme'],
		'MODULE_DATA_PATH' => $template->module_data_path('gallery'),
		'NBR_GROUP' => count($array_groups),
		'ID' => $id,
		'CATEGORIES' => $galeries,
		'NAME' => $gallery_info['name'],
		'DESC' => $gallery_info['contents'],
		'CHECKED_APROB' => ($gallery_info['aprob'] == 1) ? 'checked="checked"' : '',
		'UNCHECKED_APROB' => ($gallery_info['aprob'] == 0) ? 'checked="checked"' : '',
		'CHECKED_STATUS' => ($gallery_info['status'] == 1) ? 'checked="checked"' : '',
		'UNCHECKED_STATUS' => ($gallery_info['status'] == 0) ? 'checked="checked"' : '',
		'AUTH_READ' => generate_select_groups($array_auth, 'r', 1),
		'AUTH_WRITE' => generate_select_groups($array_auth, 'w', 2),
		'AUTH_EDIT' => generate_select_groups($array_auth, 'x', 4),
		'L_REQUIRE_TITLE' => $LANG['require_title'],
		'L_GALLERY_MANAGEMENT' => $LANG['gallery_management'], 
		'L_GALLERY_PICS_ADD' => $LANG['gallery_pics_add'], 
		'L_GALLERY_CAT_MANAGEMENT' => $LANG['gallery_cats_management'], 
		'L_GALLERY_CAT_ADD' => $LANG['gallery_cats_add'],
		'L_GALLERY_CONFIG' => $LANG['gallery_config'],
		'L_EDIT_CAT' => $LANG['cat_edit'],
		'L_REQUIRE' => $LANG['require'],
		'L_APROB' => $LANG['aprob'],
		'L_STATUS' => $LANG['status'],
		'L_RANK' => $LANG['rank'],
		'L_DELETE' => $LANG['delete'],
		'L_PARENT_CATEGORY' => $LANG['parent_category'],
		'L_NAME' => $LANG['name'],
		'L_DESC' => $LANG['description'],
		'L_RESET' => $LANG['reset'],		
		'L_YES' => $LANG['yes'],
		'L_NO' => $LANG['no'],
		'L_LOCK' => $LANG['gallery_lock'],
		'L_UNLOCK' => $LANG['gallery_unlock'],
		'L_GUEST' => $LANG['guest'],
		'L_MEMBER' => $LANG['member'],
		'L_MODO' => $LANG['modo'],
		'L_ADMIN' => $LANG['admin'],
		'L_UPDATE' => $LANG['update'],
		'L_AUTH_READ' => $LANG['auth_read'],
		'L_AUTH_WRITE' => $LANG['auth_upload'],
		'L_AUTH_EDIT' => $LANG['auth_edit'],
		'L_EXPLAIN_SELECT_MULTIPLE' => $LANG['explain_select_multiple'],
		'L_SELECT_ALL' => $LANG['select_all'],
		'L_SELECT_NONE' => $LANG['select_none']
	));
	
	$template->pparse('admin_gallery_cat_edit'); // traitement du modele
}
elseif( !empty($root) ) //Edition de la racine.
{
	$cache->load_file('gallery');
	
	$template->set_filenames(array(
		'admin_gallery_cat_edit2' => '../templates/' . $CONFIG['theme'] . '/gallery/admin_gallery_cat_edit2.tpl'
	));
			
	//Cration du tableau des groupes.
	$array_groups = array();
	foreach($_array_groups_auth as $idgroup => $array_group_info)
		$array_groups[$idgroup] = $array_group_info[0];	
		
	//Cration du tableau des rangs.
	$array_ranks = array(-1 => $LANG['guest'], 0 => $LANG['member'], 1 => $LANG['modo'], 2 => $LANG['admin']);
	
	//Rcupration des tableaux des autorisations et des groupes.
	$array_auth = !empty($CONFIG_GALLERY['auth_root']) ? $CONFIG_GALLERY['auth_root'] : array();
	
	//Gnration d'une liste  slection multiple des rangs et groupes
	function generate_select_groups($array_auth, $auth_id, $auth_level)
	{
		global $array_groups, $array_ranks, $LANG;
		
		$j = 0;
		//Liste des rangs
		$select_groups = '<select id="groups_auth' . $auth_id . '" name="groups_auth' . $auth_id . '[]" size="8" multiple="multiple" onclick="document.getElementById(\'' . $auth_id . 'r3\').selected = true;"><optgroup label="' . $LANG['ranks'] . '">';
		foreach($array_ranks as $idgroup => $group_name)
		{
			$selected = '';	
			if( array_key_exists('r' . $idgroup, $array_auth) && ((int)$array_auth['r' . $idgroup] & (int)$auth_level) !== 0 )
				$selected = 'selected="selected"';
				
			$selected = ($idgroup == 2) ? 'selected="selected"' : $selected;
			
			$select_groups .=  '<option value="r' . $idgroup . '" id="' . $auth_id . 'r' . $j . '" ' . $selected . ' onclick="check_select_multiple_ranks(\'' . $auth_id . 'r\', ' . $j . ')">' . $group_name . '</option>';
			$j++;
		}
		$select_groups .=  '</optgroup>';
		
		//Liste des groupes.
		$j = 0;
		$select_groups .= '<optgroup label="' . $LANG['groups'] . '">';
		foreach($array_groups as $idgroup => $group_name)
		{
			$selected = '';		
			if( array_key_exists($idgroup, $array_auth) && ((int)$array_auth[$idgroup] & (int)$auth_level) !== 0 )
				$selected = 'selected="selected"';

			$select_groups .= '<option value="' . $idgroup . '" id="' . $auth_id . 'g' . $j . '" ' . $selected . '>' . $group_name . '</option>';
			$j++;
		}
		$select_groups .= '</optgroup></select>';
		
		return $select_groups;
	}
	
	//Gestion erreur.
	$get_error = !empty($_GET['error']) ? trim($_GET['error']) : '';
	if( $get_error == 'incomplete' )
		$errorh->error_handler($LANG['e_incomplete'], E_USER_NOTICE);	
	
	$template->assign_vars(array(
		'THEME' => $CONFIG['theme'],
		'MODULE_DATA_PATH' => $template->module_data_path('gallery'),
		'NBR_GROUP' => count($array_groups),
		'AUTH_READ' => generate_select_groups($array_auth, 'r', 1),
		'AUTH_WRITE' => generate_select_groups($array_auth, 'w', 2),
		'AUTH_EDIT' => generate_select_groups($array_auth, 'x', 4),
		'L_ROOT' => $LANG['root'],
		'L_GALLERY_MANAGEMENT' => $LANG['gallery_management'], 
		'L_GALLERY_PICS_ADD' => $LANG['gallery_pics_add'], 
		'L_GALLERY_CAT_MANAGEMENT' => $LANG['gallery_cats_management'], 
		'L_GALLERY_CAT_ADD' => $LANG['gallery_cats_add'],
		'L_GALLERY_CONFIG' => $LANG['gallery_config'],
		'L_EDIT_CAT' => $LANG['cat_edit'],
		'L_REQUIRE' => $LANG['require'],
		'L_RESET' => $LANG['reset'],
		'L_GUEST' => $LANG['guest'],
		'L_MEMBER' => $LANG['member'],
		'L_MODO' => $LANG['modo'],
		'L_ADMIN' => $LANG['admin'],
		'L_UPDATE' => $LANG['update'],
		'L_AUTH_READ' => $LANG['auth_read'],
		'L_AUTH_WRITE' => $LANG['auth_upload'],
		'L_AUTH_EDIT' => $LANG['auth_edit'],
		'L_EXPLAIN_SELECT_MULTIPLE' => $LANG['explain_select_multiple'],
		'L_SELECT_ALL' => $LANG['select_all'],
		'L_SELECT_NONE' => $LANG['select_none']
	));
	
	$template->pparse('admin_gallery_cat_edit2'); // traitement du modele
}
else	
{		
	$template->set_filenames(array(
		'admin_gallery_cat' => '../templates/' . $CONFIG['theme'] . '/gallery/admin_gallery_cat.tpl'
	));
		
	//Gestion erreur.
	$get_error = !empty($_GET['error']) ? trim($_GET['error']) : '';
	if( $get_error == 'unexist_cat' )
		$errorh->error_handler($LANG['e_unexist_cat'], E_USER_NOTICE);
		
	$template->assign_vars(array(
		'THEME' => $CONFIG['theme'],
		'MODULE_DATA_PATH' => $template->module_data_path('gallery'),
		'L_CONFIRM_DEL' => $LANG['del_entry'],
		'L_REQUIRE_TITLE' => $LANG['require_title'],
		'L_GALLERY_MANAGEMENT' => $LANG['gallery_management'], 
		'L_GALLERY_PICS_ADD' => $LANG['gallery_pics_add'], 
		'L_GALLERY_CAT_MANAGEMENT' => $LANG['gallery_cats_management'], 
		'L_GALLERY_CAT_ADD' => $LANG['gallery_cats_add'],
		'L_GALLERY_CONFIG' => $LANG['gallery_config'],
		'L_DELETE' => $LANG['delete'],
		'L_ROOT' => $LANG['root'],
		'L_NAME' => $LANG['name'],
		'L_DESC' => $LANG['description'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset'],		
		'L_YES' => $LANG['yes'],
		'L_NO' => $LANG['no'],
		'L_LOCK' => $LANG['gallery_lock'],
		'L_UNLOCK' => $LANG['gallery_unlock'],
		'L_GUEST' => $LANG['guest'],
		'L_MEMBER' => $LANG['member'],
		'L_MODO' => $LANG['modo'],
		'L_ADMIN' => $LANG['admin'],
		'L_ADD' => $LANG['add'],
		'L_AUTH_READ' => $LANG['auth_read'],
		'L_AUTH_WRITE' => $LANG['auth_write'],
		'L_AUTH_EDIT' => $LANG['auth_edit'],
		'L_EXPLAIN_SELECT_MULTIPLE' => $LANG['explain_select_multiple'],
		'L_SELECT_ALL' => $LANG['select_all'],
		'L_SELECT_NONE' => $LANG['select_none']
	));

	$max_cat = $sql->query("SELECT MAX(id_left) FROM ".PREFIX."gallery_cats", __LINE__, __FILE__);
	$list_cats_js = '';
	$array_js = '';	
	$i = 0;
	$result = $sql->query_while("SELECT id, id_left, id_right, level, name, contents, status
	FROM ".PREFIX."gallery_cats 
	ORDER BY id_left", __LINE__, __FILE__);
	while( $row = $sql->sql_fetch_assoc($result) )
	{
		//On assigne les variables pour le POST en prcisant l'idurl.
		$template->assign_block_vars('list', array(
			'I' => $i,
			'ID' => $row['id'],
			'NAME' => $row['name'],
			'DESC' => $row['contents'],
			'INDENT' => ($row['level'] + 1) * 75, //Indentation des sous catgories.
			'LOCK' => ($row['status'] == 0) ? '<img class="valign_middle" src="../templates/' . $CONFIG['theme'] . '/images/readonly.png" alt="" title="' . $LANG['gallery_lock'] . '" />' : '',
			'U_GALLERY_VARS' => transid('.php?id=' . $row['id'], '-' . $row['id'] . '+' . url_encode_rewrite($row['name']) . '.php')
		));
		
		$list_cats_js .= $row['id'] . ', ';
		
		$array_js .= 'array_cats[' . $row['id'] . '] = new Array();' . "\n"; 
		$array_js .= 'array_cats[' . $row['id'] . '][\'id\'] = ' . $row['id'] . ";\n";
		$array_js .= 'array_cats[' . $row['id'] . '][\'id_left\'] = ' . $row['id_left'] . ";\n";
		$array_js .= 'array_cats[' . $row['id'] . '][\'id_right\'] = ' . $row['id_right'] . ";\n";
		$array_js .= 'array_cats[' . $row['id'] . '][\'i\'] = ' . $i . ";\n";
		$i++;
	}
	$sql->close($result);
	
	$template->assign_vars(array(
		'LIST_CATS' => trim($list_cats_js, ', '),
		'ARRAY_JS' => $array_js,
		'ID_END' => ($i - 1)
	));

	$template->pparse('admin_gallery_cat'); // traitement du modele	
}
	
include_once('../includes/admin_footer.php');

?>