<?php
 
//on inclue le chargement des fonctions 
include_once('../includes/begin.php'); 
 
//On defini le titre de la page 
define('TITLE', $LANG['member_area_birthday']);
include_once('../news/lang/' . $CONFIG['lang'] . '/news_' . $CONFIG['lang'] . '.php'); //Chargement de la langue du module.
 
$speed_bar = array(
	$LANG['member_zone'] => transid('member.php'),
	$LANG['member_birthday'] => transid('birthday.php')
);
 
// on inclue le haut de la page
include_once('../includes/header.php'); 
 
$template->set_filenames(array(
	'anniversaire' => '../templates/' . $CONFIG['theme'] . '/anniversaire.tpl'
));

//Assignation des variables au template
$template->assign_vars(array(
	'L_TITLE_BIRTHDAY' => $LANG['member_area_birthday'],
));

$birth_date = date('d') . '/' . date('m');

//On recupere les dates d'anniversaire du jour.
$result = $sql->query_while("SELECT user_id, login, " . $sql->sql_date_diff('user_born') . " as member_age
FROM ".PREFIX."member
WHERE user_born LIKE '" . $birth_date . "'", __LINE__, __FILE__);
while( $row = $sql->sql_fetch_assoc($result) )
{ 
	$template->assign_block_vars('birthday', array(
		'AGE' => $row['member_age'],
		'PSEUDO' => $row['login'],
		'U_MEMBER' => transid('.php?id=' . $row['user_id'], '-' . $row['user_id'] . '.php')
	));
}

$template->pparse('anniversaire');
 
//on inclue le bas de la page	
include_once('../includes/footer.php');  
 
?>