<?php
/*##################################################
 *                               upload.php
 *                            -------------------
 *   begin                : July, 07 2007
 *   copyright          : (C) 2007 Viarre Rgis
 *   email                : crowkait@phpboost.com
 *
 *   
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/

include_once('../includes/begin.php');
define('TITLE', $LANG['files_management']);

if( isset($_GET['popup']) ) //Popup.
{	
	include_once('../includes/header_no_display.php');
	$field = !empty($_GET['fd']) ? trim($_GET['fd']) : '';
	$header = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $LANG['xml_lang'] . '" >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"  />
<meta http-equiv="Content-Style-Type" content="text/css" />

<title>' . $LANG['files_management'] . '</title>
<link rel="stylesheet" href="../templates/' . $CONFIG['theme'] . '/design.css" type="text/css" />
<link rel="stylesheet" href="../templates/' . $CONFIG['theme'] . '/bbcode.css" type="text/css" />
<link rel="stylesheet" href="../templates/' . $CONFIG['theme'] . '/global.css" type="text/css" />
<link rel="stylesheet" href="../templates/' . $CONFIG['theme'] . '/content.css" type="text/css" />
<link rel="stylesheet" href="../templates/' . $CONFIG['theme'] . '/generic.css" type="text/css" />
<link href="../templates/' . $CONFIG['theme'] . '/bbcode.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="../templates/' . $CONFIG['theme'] . '/images/global.js"></script>
</head>

<body>';
	$footer = '<br />
		<fieldset class="fieldset_submit">
			<legend>' . $LANG['close'] . '</legend>
			<input type="button" class="reset" onclick="javascript:close_popup()" value="' . $LANG['close'] . '" />	
		</fieldset>
	</body>
</html>';
	$popup = 'popup=1&amp;fd=' . $field;
	$popup_noamp = 'popup=1&fd=' . $field;
}
else //Affichage de l'interface de gestion.
{	
	$speed_bar = array(
		$LANG['member_area'] => transid('member.php?id=' . $session->data['user_id'] . '&amp;view=1', 'member-' . $session->data['user_id'] . '.php?view=1'), $LANG['files_management'] => transid('upload.php')
	);
	include_once('../includes/header.php');
	$field = '';
	$header = '';
	$footer = '';
	$popup = '';
	$popup_noamp = '';
}

if( !$session->check_auth($session->data, 0) ) //Visiteurs interdits!
{
	$errorh->error_handler('e_auth', E_USER_REDIRECT); 
	exit;
}

//Chargement de la configuration.
$cache->load_file('files');

//Configuration gnrale des fichiers
define('AUTH_FILES', 0x01);

//Droit d'accs?.
if( !$groups->check_auth($CONFIG_FILES['auth_files'], AUTH_FILES) )
{
	$errorh->error_handler('e_auth', E_USER_REDIRECT); 
	exit;
}

//Initialisation  de la class de gestion des fichiers.
include_once('../includes/files.class.php');
$files = new Files($sql->req); 


$folder = !empty($_GET['f']) ? numeric($_GET['f']) : 0;
$parent_folder = !empty($_GET['fup']) ? numeric($_GET['fup']) : 0;
$home_folder = !empty($_GET['root']) ? true : false;
$del_folder = !empty($_GET['delf']) ? numeric($_GET['delf']) : 0;
$empty_folder = !empty($_GET['eptf']) ? numeric($_GET['eptf']) : 0;
$del_file = !empty($_GET['del']) ? numeric($_GET['del']) : 0;
$get_error = !empty($_GET['error']) ? trim($_GET['error']) : '';
$get_l_error = !empty($_GET['erroru']) ? trim($_GET['erroru']) : '';
$move_folder = !empty($_GET['movefd']) ? numeric($_GET['movefd']) : 0;
$move_file = !empty($_GET['movefi']) ? numeric($_GET['movefi']) : 0;
$to = isset($_POST['new_cat']) ? numeric($_POST['new_cat']) : -1;

if( isset($_GET['fup']) ) //Changement de dossier
{
	if( empty($parent_folder) )
	{
		header('location: ' . HOST . DIR . transid('/member/upload.php?f=0&' . $popup_noamp, '', '&'));
		exit;
	}
	
	$info_folder = $sql->query_array("upload_cat", "id_parent", "user_id", "WHERE id = '" . $parent_folder . "'", __LINE__, __FILE__);
	if( $info_folder['id_parent'] != 0 || $session->check_auth($session->data, 2) )
	{
		if( $parent_folder['user_id'] == -1 )
			header('location: ' . HOST . DIR . transid('/member/upload.php?showm=1', '', '&'));
		else
			header('location: ' . HOST . DIR . transid('/member/upload.php?f=' . $info_folder['id_parent'] . '&' . $popup_noamp, '', '&'));
	}
	else
		header('location: ' . HOST . DIR . transid('/member/upload.php?f=' . $parent_folder . '&' . $popup_noamp, '', '&'));
	exit;
}
elseif( $home_folder ) //Retour  la racine.
{
	header('location: ' . HOST . DIR . transid('/member/upload.php?' . $popup_noamp, '', '&'));
	exit;
}
elseif( !empty($_FILES['upload_file']['name']) && isset($_GET['f']) ) //Ajout d'un fichier.
{		
	$folder = !empty($_GET['f']) ? numeric($_GET['f']) : 0;
	$error = '';
	//Autorisation d'uploader sans limite aux groupes.
	$unlimited_data = $groups->check_auth($groups->user_groups_auth, DATA_NO_LIMIT) || $session->data['level'] == 2;
	$member_memory_used = $files->member_memory_used($session->data['user_id']);
	if( $member_memory_used >= $CONFIG_FILES['size_limit'] && !$unlimited_data )
		$error = 'e_max_data_reach';	
	else
	{
		//Si le dossier n'est pas en criture on tente un CHMOD 777
		@clearstatcache();
		$dir = '../upload/';
		if( !is_writable($dir) )
			$is_writable = (@chmod($dir, 0777)) ? true : false;
		
		@clearstatcache();
		if( is_writable($dir) ) //Dossier en criture, upload possible
		{
			$weight_max = $unlimited_data ? 100000000 : ($CONFIG_FILES['size_limit'] - $member_memory_used);
			include_once('../includes/upload.class.php');
			$upload = new Upload($dir);
			$upload->upload_file('upload_file', '`([a-z0-9_-])+\.(jpg|bmp|gif|png|tif|rar|zip|gz|txt|doc|pdf|psd|flv|mp3|ogg|mpg|mov|mng|qt|swf|wav|wmv|c|h|cpp|css|html|ppt|odt|odp|ods|odg|odc|odf|odb|xcf|ttf|xls|xml|svg|midi|tex|rtf|ico)+`i', UNIQ_NAME, CHECK_EXIST, $weight_max);
			
			if( !empty($upload->error) ) //Erreur, on arrte ici
			{
				if( $upload->error == 'e_upload_max_weight' )
					$upload->error = 'e_max_data_reach';
				header('Location:' . HOST . DIR . '/member/upload.php?f=' . $folder . '&erroru=' . $upload->error . '&' . $popup_noamp . '#errorh');
				exit;						
			}
			else //Insertion dans la bdd
			{
				$sql->query("INSERT INTO ".PREFIX."upload (idcat, name, path, user_id, size, type, timestamp) VALUES ('" . $folder . "', '" . securit($_FILES['upload_file']['name']) . "', '" . securit($upload->filename['upload_file']) . "', '" . $session->data['user_id'] . "', '" . numeric(arrondi($_FILES['upload_file']['size']/1024, 1), 'float') . "', '" . $upload->extension['upload_file'] . "', '" . time() . "')", __LINE__, __FILE__);
			}
		}
		else
			$error = 'e_upload_failed_unwritable';
	}
	
	$error = !empty($error) ? '&error=' . $error . '&' . $popup_noamp . '#errorh' : '&' . $popup_noamp;
	header('location: ' . HOST . DIR . transid('/member/upload.php?f=' . $folder . $error, '', '&'));
	exit;
}
elseif( !empty($del_folder) ) //Supprime un dossier.
{
	if( $session->check_auth($session->data, 2) )
		$files->del_folder($del_folder);
	else
	{
		$check_user_id = $sql->query("SELECT user_id FROM ".PREFIX."upload_cat WHERE id = '" . $del_folder . "'", __LINE__, __FILE__);
		//Suppression du dossier et de tout le contenu	
		if( $check_user_id == $session->data['user_id'] )	
			$files->del_folder($del_folder);
		else
		{
			$errorh->error_handler('e_auth', E_USER_REDIRECT); 
			exit;
		}	
	}
	
	header('location: ' . HOST . DIR . transid('/member/upload.php?f=' . $folder . '&' . $popup_noamp, '', '&'));
	exit;
}
elseif( !empty($empty_folder) && $session->check_auth($session->data, 2) ) //Vide un dossier membre.
{
	//Suppression de tout les dossiers enfants.
	$files->del_folder($empty_folder, EMPTY_FOLDER);

	header('location: ' . HOST . DIR . '/member/upload.php?showm=1');
	exit;
}
elseif( !empty($del_file) ) //Suppression d'un fichier
{
	if( $session->check_auth($session->data, 2) )
		$files->del_file($del_file, $session->data['user_id'], ADMIN_NO_CHECK);
	else
	{
		$error = $files->del_file($del_file, $session->data['user_id']);
		if( !empty($error) )
		{
			$errorh->error_handler('e_auth', E_USER_REDIRECT); 
			exit;
		}
	}
	
	header('location: ' . HOST . DIR . transid('/member/upload.php?f=' . $folder . '&' . $popup_noamp, '', '&'));
	exit;
}
elseif( !empty($move_folder) && $to != -1 ) //Dplacement d'un dossier
{
	$folder_owner = $sql->query("SELECT user_id FROM ".PREFIX . "upload_cat WHERE id = '" . $move_folder . "'", __LINE__, __FILE__);
	
	if( $folder_owner == $session->data['user_id'] )
	{
		include('upload_functions.php');
		$sub_cats = array();
		upload_find_subcats($sub_cats, $move_folder, $session->data['user_id']);
		$sub_cats[] = $move_folder;
		//Si on ne dplace pas le dossier dans un de ses fils ou dans lui mme
		if( !in_array($to, $sub_cats) )
		{
			$new_folder_owner = $sql->query("SELECT user_id FROM ".PREFIX."upload_cat WHERE id = '" . $to . "'", __LINE__, __FILE__);
			if( $new_folder_owner == $session->data['user_id'] || $to == 0 )
			{
				$sql->query_inject("UPDATE ".PREFIX."upload_cat SET id_parent = '" . $to . "' WHERE id = '" . $move_folder . "'", __LINE__, __FILE__);
				header('location:' . HOST . DIR . transid('/member/upload.php?f=' . $to . '&' . $popup_noamp, '', '&'));
				exit;
			}
		}
		else
		{
			header('location:' . HOST . DIR . transid('/member/upload.php?movefd=' . $move_folder . '&f=0&error=folder_contains_folder' . $popup_noamp, '', '&'));
			exit;
		}
	}
	else
	{
		$errorh->error_handler('e_auth', E_USER_REDIRECT); 
		exit;
	}
}
elseif( !empty($move_file) && $to != -1 ) //Dplacement d'un fichier
{
	$file_infos = $sql->query_array("upload", "idcat", "user_id", "WHERE id = '" . $move_file . "'", __LINE__, __FILE__);
	$id_cat = $file_infos['idcat'];
	$file_owner = $file_infos['user_id'];
	//Si le fichier nous appartient alors on peut en faire ce que l'on veut
	if( $file_owner == $session->data['user_id'] )
	{
		$new_folder_owner = $sql->query("SELECT user_id FROM ".PREFIX."upload_cat WHERE id = '" . $to . "'", __LINE__, __FILE__);
		//Si le dossier de destination nous appartient
		if( $new_folder_owner == $session->data['user_id'] || $to == 0 )
		{
			$sql->query_inject("UPDATE ".PREFIX."upload SET idcat = '" . $to . "' WHERE id = '" . $move_file . "'", __LINE__, __FILE__);
			header('location:' . HOST . DIR . transid('/member/upload.php?f=' . $to . '&' . $popup_noamp, '', '&'));
			exit;
		}
		else
		{
			$errorh->error_handler('e_auth', E_USER_REDIRECT); 
			exit;
		}
	}
	else
	{
		$errorh->error_handler('e_auth', E_USER_REDIRECT); 
		exit;
	}
}
elseif( !empty($move_folder) || !empty($move_file) )
{
	$template->set_filenames(array(
		'upload_move' => '../templates/' . $CONFIG['theme'] . '/upload_move.tpl'
	));
	
	$template->assign_vars(array(
		'POPUP' => $popup,
		'HEADER' => $header,
		'FOOTER' => $footer,
		'FIELD' => $field,
		'LANG' => $CONFIG['lang'],
		'FOLDER_ID' => !empty($folder) ? $folder : '0',
		'THEME' => $CONFIG['theme'],
		'LANG' => $CONFIG['lang'],
		'URL' => '/' . trim($files->get_url($folder, '', '&amp;' . $popup), '/'),
		'L_FILES_MANAGEMENT' => $LANG['files_management'],
		'L_MOVE_TO' => $LANG['moveto'],
		'L_ROOT' => $LANG['root'],
		'L_URL' => $LANG['url'],
		'L_SUBMIT' => $LANG['submit'],
		'U_ROOT' => '<a href="upload.php?' . $popup . '">' . $session->data['login'] . '</a>'
	));
	
	if( !empty($_GET['error']) && $_GET['error'] == 'folder_contains_folder' )
		$errorh->error_handler($LANG['upload_folder_contains_folder'], E_USER_WARNING);
	
	//liste des fichiers disponibles
	include_once('upload_functions.php');
	$cats = array();
	
	$is_folder = !empty($move_folder);
	//Affichage du dossier/fichier  dplacer
	if( $is_folder )
	{	
		$folder_info = $sql->query_array("upload_cat", "name", "id_parent", "WHERE id = '" . $move_folder . "'", __LINE__, __FILE__);
		$name = $folder_info['name'];
		$id_cat = $folder_info['id_parent'];
		$template->assign_block_vars('folder', array(
			'NAME' => $name
		));
		$template->assign_vars(array(
			'SELECTED_CAT' => $id_cat,
			'ID_FILE' => $move_folder,
			'TARGET' => transid('upload.php?movefd=' . $move_folder . '&amp;f=0')
		));
		$cat_explorer = display_cat_explorer($id_cat, $cats, 1, $session->data['user_id']);
	}
	else
	{
		$info_move = $sql->query_array("upload", "path", "name", "type", "size", "idcat", "WHERE id = '" . $move_file . "'", __LINE__, __FILE__);
		$get_img_mimetype = $files->get_img_mimetype($info_move['type']);
		$size_img = '';
		switch($info_move['type'])
		{
			//Images
			case 'jpg':
			case 'png':
			case 'gif':
			case 'bmp':
			list($width_source, $height_source) = @getimagesize('../upload/' . $info_move['path']);
			$size_img = ' (' . $width_source . 'x' . $height_source . ')';
		}
		
		$cat_explorer = display_cat_explorer($info_move['idcat'], $cats, 1, $session->data['user_id']);
		
		$template->assign_block_vars('file', array(
			'NAME' => $info_move['name'],
			'FILETYPE' => $get_img_mimetype['filetype'] . $size_img,
			'SIZE' => ($info_move['size'] > 1024) ? arrondi($info_move['size']/1024, 2) . ' Mo' : arrondi($info_move['size'], 0) . ' Ko',
			'U_IMG_MOVE' => '../templates/' . $CONFIG['theme'] . '/images/upload/' . $get_img_mimetype['img']
		));
		$template->assign_vars(array(
			'SELECTED_CAT' => $info_move['idcat'],
			'TARGET' => transid('upload.php?movefi=' . $move_file . '&amp;f=0')
		));
	}
	
	$template->assign_vars(array(
		'FOLDERS' => $cat_explorer,
		'ID_FILE' => $move_file
	));
	
	$template->pparse('upload_move');
}
else
{	
	$is_admin = $session->check_auth($session->data, 2);
	
	$template->set_filenames(array(
		'upload' => '../templates/' . $CONFIG['theme'] . '/upload.tpl'
	));

	//Gestion des erreurs.
	$array_error = array('e_upload_invalid_format', 'e_upload_max_weight', 'e_upload_error', 'e_upload_failed_unwritable', 'e_unlink_disabled', 'e_max_data_reach');
	if( in_array($get_error, $array_error) )
		$errorh->error_handler($LANG[$get_error], E_USER_WARNING);
	if( $get_error == 'incomplete' )
		$errorh->error_handler($LANG['e_incomplete'], E_USER_NOTICE);  

	if( isset($LANG[$get_l_error]) )
		$errorh->error_handler($LANG[$get_l_error], E_USER_WARNING);  

	$template->assign_vars(array(
		'POPUP' => $popup,
		'HEADER' => $header,
		'FOOTER' => $footer,
		'FIELD' => $field,
		'LANG' => $CONFIG['lang'],
		'FOLDER_ID' => !empty($folder) ? $folder : '0',
		'USER_ID' => $session->data['user_id'],
		'THEME' => $CONFIG['theme'],
		'LANG' => $CONFIG['lang'],
		'URL' => '/' . trim($files->get_url($folder, '', '&amp;' . $popup), '/'),
		'L_CONFIRM_DEL_FILE' => $LANG['confim_del_file'],
		'L_CONFIRM_DEL_FOLDER' => $LANG['confirm_del_folder'],
		'L_CONFIRM_EMPTY_FOLDER' => $LANG['confirm_empty_folder'],
		'L_FOLDER_ALREADY_EXIST' => $LANG['folder_already_exist'],
		'L_FOLDER_FORBIDDEN_CHARS' => $LANG['folder_forbidden_chars'],
		'L_FILES_MANAGEMENT' => $LANG['files_management'],
		'L_FILES_ACTION' => $LANG['files_management'],
		'L_CONFIG_FILES' => $LANG['files_config'],
		'L_ADD_FILES' => $LANG['file_add'],
		'L_ROOT' => $LANG['root'],
		'L_NAME' => $LANG['name'],
		'L_SIZE' => $LANG['size'],
		'L_MOVETO' => $LANG['moveto'],
		'L_DATA' => $LANG['data'],
		'L_FOLDER_SIZE' => $LANG['folder_size'],
		'L_FOLDERS' => $LANG['folders'],
		'L_FOLDER_NEW' => $LANG['folder_new'],
		'L_FOLDER_UP' => $LANG['folders_up'],
		'L_FILES' => $LANG['files'],
		'L_DELETE' => $LANG['delete'],
		'L_EMPTY' => $LANG['empty'],
		'L_UPLOAD' => $LANG['upload'],
		'L_URL' => $LANG['url'],
		'U_ROOT' => '<a href="upload.php?' . $popup . '">' . $session->data['login'] . '</a>'
	));
	
	list($total_folder_size, $total_files, $total_directories) = array(0, 0, 0);
	//Affichage des dossiers
	$result = $sql->query_while("SELECT id, name, id_parent, user_id
	FROM ".PREFIX."upload_cat 
	WHERE id_parent = '" . $folder . "' AND user_id = '" . $session->data['user_id'] . "'
	ORDER BY name", __LINE__, __FILE__);
	while( $row = $sql->sql_fetch_assoc($result) )
	{
		$name_cut = (strlen(html_entity_decode($row['name'])) > 22) ? htmlentities(substr(html_entity_decode($row['name']), 0, 22)) . '...' : $row['name'];	
		
		$template->assign_block_vars('folder', array(
			'ID' => $row['id'],
			'NAME' => $name_cut,
			'RENAME_FOLDER' => '<span id="fhref' . $row['id'] . '"><a href="javascript:display_rename_folder(\'' . $row['id'] . '\', \'' . addslashes($row['name']) . '\', \'' . addslashes($name_cut) . '\');" title="' . $LANG['edit'] . '"><img src="../templates/' . $CONFIG['theme'] . '/images/' . $CONFIG['lang'] . '/edit.png" alt="" style="vertical-align:middle;" /></a></span>',
			'DEL_TYPE_IMG' => '<img src="../templates/' . $CONFIG['theme'] . '/images/' . $CONFIG['lang'] . '/delete.png" alt="" class="valign_middle" />',
			'MOVE' => '<a href="javascript:upload_display_block(' . $row['id'] . ');" onmouseover="upload_hide_block(' . $row['id'] . ', 1);" onmouseout="upload_hide_block(' . $row['id'] . ', 0);" class="bbcode_hover" title="' . $LANG['moveto'] . '"><img src="../templates/' . $CONFIG['theme'] . '/images/upload/move.png" alt="" style="vertical-align:middle;" /></a>',
			'U_MOVE' => transid('.php?movefd=' . $row['id'] . '&amp;f=' . $folder . '&amp;' . $popup),
			'L_TYPE_DEL_FOLDER' => $LANG['del_folder']
		));
		$total_directories++;
	}	
	$sql->close($result);

	//Affichage des fichiers contenu dans le dossier		
	$result = $sql->query_while("SELECT up.id, up.name, up.path, up.size, up.type, up.timestamp, m.user_id, m.login
	FROM ".PREFIX."upload AS up
	LEFT JOIN ".PREFIX."member AS m ON m.user_id = up.user_id
	WHERE up.idcat = '" . $folder . "' AND up.user_id = '" . $session->data['user_id'] . "'
	ORDER BY up.name", __LINE__, __FILE__);
	while( $row = $sql->sql_fetch_assoc($result) )
	{
		$name_cut = (strlen(html_entity_decode($row['name'])) > 22) ? htmlentities(substr(html_entity_decode($row['name']), 0, 22)) . '...' : $row['name'];	
		
		$get_img_mimetype = $files->get_img_mimetype($row['type']);
		$size_img = '';
		switch($row['type'])
		{
			//Images
			case 'jpg':
			case 'png':
			case 'gif':
			case 'bmp':
			list($width_source, $height_source) = @getimagesize('../upload/' . $row['path']);
			$size_img = ' (' . $width_source . 'x' . $height_source . ')';
			$width_source = !empty($width_source) ? $width_source + 30 : 0;
			$height_source = !empty($height_source) ? $height_source + 30 : 0;
			$bbcode = '[img]../upload/' . $row['path'] . '[/img]';
			$link = '<a class="com" href="javascript:popup_upload(\'' . $row['id'] . '\', ' . $width_source . ', ' . $height_source . ', \'yes\')">';
			break;
			//Image svg
			case 'svg': 
			$bbcode = '[img]../upload/' . $row['path'] . '[/img]';
			$link = '<a class="com" href="javascript:popup_upload(\'' . $row['id'] . '\', 0, 0, \'no\')">';
			break;
			//Sons
			case 'mp3':
			$bbcode = '[sound]../upload/' . $row['path'] . '[/sound]';
			$link = '<a class="com" href="javascript:popup_upload(\'' . $row['id'] . '\', 220, 10, \'no\')">';
			break;
			default:
			$bbcode = '[url=../upload/' . $row['path'] . ']' . $row['name'] . '[/url]';				
			$link = '<a class="com" href="../upload/' . $row['path'] . '">';
		}
		
		$template->assign_block_vars('files', array(
			'ID' => $row['id'],
			'IMG' => '<img src="../templates/' . $CONFIG['theme'] . '/images/upload/' . $get_img_mimetype['img'] . '" alt="" />',
			'URL' => $link,
			'NAME' => $name_cut,
			'RENAME_FILE' => '<span id="fihref' . $row['id'] . '"><a href="javascript:display_rename_file(\'' . $row['id'] . '\', \'' . addslashes($row['name']) . '\', \'' . addslashes($name_cut) . '\');" title="' . $LANG['edit'] . '"><img src="../templates/' . $CONFIG['theme'] . '/images/' . $CONFIG['lang'] . '/edit.png" alt="" style="vertical-align:middle;" /></a></span>',
			'FILETYPE' => $get_img_mimetype['filetype'] . $size_img,
			'BBCODE' => '<input size="25" type="text" class="text" onClick="select_div(\'text_' . $row['id'] . '\');" id="text_' . $row['id'] . '" style="margin-top:2px;cursor:pointer;" value="' . $bbcode . '" />',
			'SIZE' => ($row['size'] > 1024) ? arrondi($row['size']/1024, 2) . ' Mo' : arrondi($row['size'], 0) . ' Ko',
			'INSERT' => !empty($popup) ? '<a href="javascript:insert_popup(\'' . addslashes($bbcode) . '\')"><img src="../templates/' . $CONFIG['theme'] . '/images/upload/insert.png" alt="" style="vertical-align:middle;" /></a>' : '',
			'DATE' => date('d/m/Y ' . $LANG['at'] . ' H\Hi', $row['timestamp']),
			'LOGIN' => '<a href="../member/member.php?id=' . $row['user_id'] . '">' . $row['login'] . '</a>',
			'U_MOVE' => transid('.php?movefi=' . $row['id'] . '&amp;f=' . $folder . '&amp;' . $popup)
		));
		
		$total_folder_size += $row['size'];
		$total_files++;
	}	
	$sql->close($result);		
	
	//Autorisation d'uploader sans limite aux groupes.
	$unlimited_data = $groups->check_auth($groups->user_groups_auth, DATA_NO_LIMIT) || $session->data['level'] == 2;
	$total_size = !empty($folder) ? $files->member_memory_used($session->data['user_id']) : $sql->query("SELECT SUM(size) FROM ".PREFIX."upload WHERE user_id = '" . $session->data['user_id'] . "'", __LINE__, __FILE__);
	$template->assign_vars(array(
		'PERCENT' => !$unlimited_data ? '(' . arrondi($total_size/$CONFIG_FILES['size_limit'], 3) * 100 . '%)' : '',
		'SIZE_LIMIT' => !$unlimited_data ? (($CONFIG_FILES['size_limit'] > 1024) ? arrondi($CONFIG_FILES['size_limit']/1024, 2) . ' Mo' : arrondi($CONFIG_FILES['size_limit'], 0) . ' Ko') : $LANG['illimited'],
		'TOTAL_SIZE' => ($total_size > 1024) ? arrondi($total_size/1024, 2) . ' Mo' : arrondi($total_size, 0) . ' Ko',
		'TOTAL_FOLDER_SIZE' => ($total_folder_size > 1024) ? arrondi($total_folder_size/1024, 2) . ' Mo' : arrondi($total_folder_size, 0) . ' Ko',
		'TOTAL_FOLDERS' => $total_directories,
		'TOTAL_FILES' => $total_files
	));

	if( $total_directories == 0 && $total_files == 0 )
		$template->assign_block_vars('empty_folder', array(
			'EMPTY_FOLDER' => $LANG['empty_folder']
		));

	$template->pparse('upload');	
}

if( empty($popup) )
	include_once('../includes/footer.php');
else
	include_once('../includes/footer_no_display.php');
?>