<?php
/*##################################################
 *                              pages_french.php
 *                            -------------------
 *   begin                : August 07, 2007
 *   copyright          : (C) 2007 Benot Sautel
 *   email                : ben.popeye@phpboost.com
 *
 *  
 ###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/


####################################################
#                                                          French                                                                        #
####################################################

//Gnralits
$LANG['pages'] = 'Pages';

$LANG['page_hits'] = 'Cette page a t vue %d fois';

//Administration
$LANG['pages_count_hits'] = 'Compter le nombre de hits';
$LANG['pages_count_hits_explain'] = 'Peut-tre choisi au cas par cas pour chaque page';
$LANG['pages_auth_read'] = 'Lecture des pages';
$LANG['pages_auth_edit'] = 'Modification de page';
$LANG['pages_auth_read_com'] = 'Utilisation des commentaires';
$LANG['pages_auth'] = 'Autorisations';
$LANG['select_all'] = 'Tout slectionner';
$LANG['select_none'] = 'Tout dslectionner';
$LANG['ranks'] = 'Rangs';
$LANG['groups'] = 'Groupes';

//Cration / dition d'une page
$LANG['pages_edition'] = 'Modification d\'une page';
$LANG['pages_creation'] = 'Cration d\'une page';
$LANG['pages_edit_page'] = 'Modification de la page <em>%s</em>';
$LANG['page_title'] = 'Titre de la page';
$LANG['page_contents'] = 'Contenu de la page';
$LANG['pages_edit'] = 'Modifier cette page';
$LANG['pages_delete'] = 'Supprimer cette page';
$LANG['pages_create'] = 'Crer une page';
$LANG['pages_activ_com'] = 'Activer les commentaires';
$LANG['pages_own_auth'] = 'Mettre des autorisations particulires  la page';
$LANG['pages_is_cat'] = 'Cette page est une catgorie';
$LANG['pages_parent_cat'] = 'Catgorie parente';
$LANG['pages_page_path'] = 'Emplacement';
$LANG['pages_properties'] = 'Proprits';
$LANG['pages_no_selected_cat'] = 'Aucune catgorie slectionne';
$LANG['explain_select_multiple'] = 'Maintenez ctrl puis cliquez dans la liste pour faire plusieurs choix';
$LANG['pages_previewing'] = 'Prvisualisation';
$LANG['pages_contents_part'] = 'Contenu de la page';
$LANG['pages_delete_success'] = 'La page a t supprime avec succs';
$LANG['pages_delete_failure'] = 'La page n\'a pu tre supprime avec succs';
$LANG['pages_confirm_delete'] = 'Etes-vous sur de vouloir supprimer cette page ?';

//Divers
$LANG['pages_links_list'] = 'Outils';
$LANG['pages_com'] = 'Commentaires';
$LANG['pages_explorer'] = 'Explorateur';
$LANG['pages_root'] = 'Racine';
$LANG['pages_cats_tree'] = 'Arborescence des pages';
$LANG['pages_display_coms'] = 'Commentaires (%d)';
$LANG['pages_post_com'] = 'Poster un commentaire';
$LANG['pages_page_com'] = 'Commentaires de la page %s';

//Accueil
$LANG['pages_explain'] = 'Vous tes sur le panneau de contrle des pages. Vous pouvez ici grer l\'ensemble de vos pages.
<div class="question">Vous pouvez insrer aussi bien du code HTML et javascript que du BBCode. Seul le langage PHP est interdit.
<br />
Pour faire des liens entre les diffrentes pages il suffit d\'utiliser la balise BBCode [link] qui n\'existe que sur ce module et qui s\'utilise de la faon suivante : [link=titre-de-la-page]Lien vers la page[/link].</div>';
$LANG['pages_redirections'] = 'Gestion des redirections';
$LANG['pages_num_pages'] = '%d page(s) existantes';
$LANG['pages_num_coms'] = '%d commentaire(s) sur l\'ensemble des pages soit %1.1f commentaire par page';
$LANG['pages_stats'] = 'Statistiques';
$LANG['pages_tools'] = 'Outils';

//Redirections et renommer
$LANG['pages_rename'] = 'Renommer';
$LANG['pages_redirection_management'] = 'Gestion des redirections';
$LANG['pages_rename_page'] = 'Renommer la page <em>%s</em>';
$LANG['pages_new_title'] = 'Nouveau titre de la page';
$LANG['pages_create_redirection'] = 'Crer une redirection depuis l\'ancien titre vers le nouveau';
$LANG['pages_explain_rename'] = 'Vous tes sur le point de renommer la page. Vous devez savoir que tous les liens qui mnent vers cet article seront rompus. C\'est pourquoi vous avez la possibilit de crer une redirection depuis l\'ancien nom vers le nouveau afin de ne pas rompre ces liens';
$LANG['pages_confirm_delete_redirection'] = addslashes('Etes-vous sur de vouloir supprimer cette redirection ?');
$LANG['pages_delete_redirection'] = 'Supprimer cette redirection';
$LANG['pages_redirected_from'] = 'Redirig depuis <em>%s</em>';
$LANG['pages_redirection_title'] = 'Titre de la redirection';
$LANG['pages_redirection_target'] = 'Cible de la redirection';
$LANG['pages_redirection_actions'] = 'Actions';
$LANG['pages_manage_redirection'] = 'Voir les redirections menant  la mme page';
$LANG['pages_no_redirection'] = 'Aucune redirection existante';
$LANG['pages_create_redirection'] = 'Crer une redirection vers cette page';
$LANG['pages_creation_redirection'] = 'Cration d\'une redirection';
$LANG['pages_creation_redirection_title'] = 'Cration d\'une redirection vers la page : %s';
$LANG['pages_redirection_title'] = 'Nom de la redirection';
$LANG['pages_remove_this_cat'] = 'Suppression de la catgorie: <em>%s</em>';
$LANG['pages_remove_all_contents'] = 'Supprimer tout son contenu (action irrversible)';
$LANG['pages_move_all_contents'] = 'Dplacer tout son contenu dans le dossier suivant:';
$LANG['pages_future_cat'] = 'Catgorie dans laquelle vous souhaitez dplacer ces lments';
$LANG['pages_change_cat'] = 'Changer de catgorie';
$LANG['pages_delete_cat'] = 'Suppression d\'une catgorie';
$LANG['pages_confirm_remove_cat'] = 'Etes-vous sur de vouloir supprimer cette catgorie ?';
 
//Erreurs
$LANG['pages_not_found'] = 'La page que vous demandez n\'existe pas';
$LANG['pages_error_auth_read'] = 'Vous n\'avez pas l\'autorisation de lire cette page';
$LANG['pages_error_auth_com'] = 'Vous n\'avez pas l\'autorisation de lire les commentaires lis  cette page';
$LANG['pages_error_unactiv_com'] = 'Les commentaires ont t dsactivs pour cette page';
$LANG['page_alert_title'] = 'Vous devez entrer un titre';
$LANG['page_alert_contents'] = 'Vous devez entrer le contenu de votre page';
$LANG['pages_already_exists'] = 'Le titre que vous avez choisi pour la page existe dj. Vous devez choisir un autre, car chaque page tant repre uniquement par son titre, il doit y avoir unicit de ces derniers.';
$LANG['pages_cat_contains_cat'] = 'La catgorie que vous avez slectionne pour placer cette catgorie est contenue par cette mme catgorie, ce qui n\'est pas possible. Merci de choisir une autre catgorie';
$LANG['pages_notice_previewing'] = 'Vous tes en train de prvisualiser ce que vous avez entr. Aucune modification n\'a t apporte dans la base de donnes, vous devez valider votre page afin que les modifications soient prises en compte';

//Admin
$LANG['pages_config'] = 'Configuration des pages';
$LANG['pages_management'] = 'Gestion des pages';

?>