<?php
/*##################################################
 *                              wiki_french.php
 *                            -------------------
 *   begin                : December 02, 2006
 *   copyright          : (C) 2005 Benot Sautel
 *   email                : ben.popeye@phpboost.com
 *
 *  
 ###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
###################################################*/


####################################################
#                                                          French                                                                        #
####################################################

//Gnralits
$LANG['wiki'] = 'Wiki';
$LANG['wiki_article_hits'] = 'Cette page a t vue %d fois';
$LANG['wiki_history'] = 'Historique';
$LANG['wiki_contribution_tools'] = 'Contribuer';
$LANG['wiki_other_tools'] = 'Outils';
$LANG['wiki_author'] = 'Auteur';
$LANG['wiki_empty_index'] = 'Le wiki est vide. Si vous tes administrateur vous pouvez crer et modifier l\'accueil du wiki dans le panneau d\'administration du wiki.';
$LANG['wiki_previewing'] = 'Prvisualisation';
$LANG['wiki_table_of_contents'] = 'Table des matires';

//Actions
$LANG['wiki_random_page'] = 'Page alatoire';
$LANG['wiki_restriction_level'] = 'Niveau de restriction';
$LANG['wiki_article_status'] = 'Type d\'article';

//Poster
$LANG['wiki_contents'] = 'Contenu de l\'article';
$LANG['wiki_article_title'] = 'Titre de l\'article';
$LANG['wiki_create_article'] = 'Crer un article';
$LANG['wiki_add_article'] = 'Ajouter un article';
$LANG['wiki_add_cat'] = 'Ajouter une catgorie';
$LANG['wiki_article_cat'] = 'Catgorie de l\'article';
$LANG['wiki_create_cat'] = 'Crer une catgorie';
$LANG['wiki_update_index'] = 'Modifier l\'accueil';
$LANG['wiki_warning_updated_article'] = '<span class="warning"><strong>Attention:</strong> Cet article a t mis  jour, vous consultez ici une archive de cet article!</span>';
$LANG['wiki_article_cat'] = 'Catgorie de l\'article';
$LANG['wiki_current_cat'] = 'Catgorie courante';
$LANG['wiki_contribuate'] = 'Contribuer au wiki';
$LANG['wiki_edit_article'] = 'Edition de l\'article <em>%s</em>';
$LANG['wiki_edit_cat'] = 'Edition de la catgorie <em>%s</em>';
$LANG['wiki_move'] = 'Dplacer';
$LANG['wiki_rename'] = 'Renommer';
$LANG['wiki_no_cat'] = 'Aucune catgorie existante';
$LANG['wiki_no_sub_cat'] = 'Aucune sous catgorie existante';
$LANG['wiki_no_article'] = 'Aucun article existant';
$LANG['wiki_no_sub_article'] = 'Aucun sous article existant';
$LANG['wiki_no_selected_cat'] = 'Aucune catgorie slectionne';
$LANG['wiki_do_not_select_any_cat'] = 'Aucune catgorie';
$LANG['wiki_please_enter_a_link_name'] = 'Veuillez entrer un nom de lien';
$LANG['wiki_insert_a_link'] = 'Insrer un lien vers un article';
$LANG['wiki_insert_link'] = 'Insrer';
$LANG['wiki_title_link'] = 'Titre de l\'article';
$LANG['wiki_no_js_insert_link'] = 'Pour insrer un lien vers un article veuillez utiliser la balise link:
[link=$a]$b[/link] o $a reprsente le titre de l\'article (sans caractres spciaux, tel qu\'il apparat dans l\'adresse) et $b reprsente le nom du lien';
$LANG['wiki_explain_paragraph'] = 'Insrer un paragraphe de niveau %d';
$LANG['wiki_help_tags'] = 'En savoir plus sur les balises spcifiques au BBCode';
$LANG['wiki_paragraph_name'] = 'Veuillez entrer le titre du paragraphe';
$LANG['wiki_paragraph_name_example'] = 'Titre du paragraphe';

//Restrictions d'accs
$LANG['wiki_member_restriction'] = 'Cet article est protg, seuls les membres peuvent le modifier';
$LANG['wiki_modo_restriction'] = 'Cet article est protg, seuls les modrateurs peuvent le modifier';
$LANG['wiki_admin_restriction'] = 'Cet article est protg, seuls les administrateurs peuvent le modifier';
$LANG['wiki_edition_restriction'] = 'Restriction  l\'dition';
$LANG['wiki_no_restriction'] = 'Aucune restriction';
$LANG['wiki_auth_management'] = 'Gestion des niveaux d\'autorisation';
$LANG['wiki_auth_management_article'] = 'Gestion du niveau d\'autorisation de l\'article <em>%s</em>';
$LANG['explain_select_multiple'] = 'Maintenez ctrl puis cliquer dans la liste pour faire plusieurs choix';
$LANG['select_all'] = 'Tout slectionner';
$LANG['select_none'] = 'Tout dslectionner';
$LANG['ranks'] = 'Rangs';
$LANG['groups'] = 'Groupes';
$LANG['wiki_explain_restore_default_auth'] = 'Ne pas considrer de restriction particulire pour cet article; les autorisations seront les autorisations globales du wiki';
$LANG['wiki_restore_default_auth'] = 'Autorisations par dfaut';

//Catgories
$LANG['wiki_last_articles_list'] = 'Derniers articles mis  jour:';
$LANG['wiki_cats_list'] = 'Liste des catgories principales:';
$LANG['wiki_articles_of_this_cat'] = 'Articles prsents dans cette catgorie';
$LANG['wiki_subcats'] = 'Catgories contenues par cette catgorie:';
$LANG['wiki_subarticles'] = 'Articles contenus par cette catgorie:';

//Archives
$LANG['wiki_version_list'] = 'Versions';
$LANG['wiki_article_does_not_exist'] = 'L\'article que vous demandez n\'existe pas, si vous le dsirez vous pouvez le crer en cliquant <a href="' . transid('post.php') . '">ici</a>.';
$LANG['wiki_cat_does_not_exist'] = 'Erreur: la catgorie demande n\'existe pas. <a href="wiki.php">Retour au wiki</a>';
$LANG['wiki_consult_article'] = 'Consulter';
$LANG['wiki_restore_version'] = 'Restaurer';
$LANG['wiki_possible_actions'] = 'Actions possibles';
$LANG['wiki_no_possible_action'] = 'Aucune action possible';
$LANG['wiki_current_version'] = 'Version courante';

//Statut de l'article
$LANG['wiki_status_management'] = 'Gestion des statuts des articles';
$LANG['wiki_status_management_article'] = 'Gestion des statuts de l\' article %s';
$LANG['wiki_status_management_article'] = 'Gestion du statut de l\'article: <em>%s</em>';
$LANG['wiki_defined_status'] = 'Statut prffini';
$LANG['wiki_undefined_status'] = 'Statut personnalis';
$LANG['wiki_no_status'] = 'Aucun statut';
$LANG['wiki_status_explain'] = 'Vous pouvez ici slectionner le type d\'article. Plusieurs status diffrents permettent de classer vos articles, et mettre en vidence quelque chose qui leur est remarquable.<br />Pour cela vous pouvez soit utiliser des statuts prdfinis soit crer vos propres statuts. Pour utiliser un statut prdfini veuillez laisser le champ statut personnalis vide.';
$LANG['wiki_current_status'] = 'Statut courant';

$LANG['wiki_status_list'] = array(
	array('Article de qualit', '<span class="notice">Cet article est de grande qualit il est complet et fiable.</span>'),
	array('Article incomplet', '<span class="question">Cet article manque de sources.<br />Vos connaissances sont les bienvenues afin de le complter.</span>'),
	array('Article en cours de travaux', '<span class="notice">Cet article est incomplet, vous pouvez apporter vos connaissances afin de le complter.</span>'),
	array('Article  refaire', '<span class="warning">Cet article est  refaire, son contenu n\'est pas trs fiable.</span>'),
	array('Article remis en cause', '<span class="error">Cet article a t discut et son contenu ne parat pas correct. Vous pouvez ventuellement consulter les discussions  ce propos et peut-tre y apporter vos connaissances.</span>')
);

//Dplacement de l'article
$LANG['wiki_moving_article'] = 'Dplacement d\'un article';
$LANG['wiki_moving_this_article'] = 'Dplacement de l\'article: %s';
$LANG['wiki_change_cat'] = 'Changer de catgorie';
$LANG['wiki_cat_contains_cat'] = 'Vous souhaitez placer cette catgorie dans une de ses catgories filles ou dans elle-mme, ce qui est impossible!';

//Renommer l'article
$LANG['wiki_renaming_article'] = 'Renommer un article';
$LANG['wiki_renaming_this_article'] = 'Renommer l\'article: %s';
$LANG['wiki_new_article_title'] = 'Nouveau titre de l\'article';
$LANG['wiki_explain_renaming'] = 'Vous tes sur le point de renommer un article. Attention, vous devez savoir que tous les liens menant  cet article seront rompus. Cependant vous pouvez demander  laisser une redirection vers le nouvel article, ce qui permettra de ne pas briser les liens.';
$LANG['wiki_create_redirection_after_renaming'] = 'Crer une redirection automatique depuis l\'ancien article vers le nouveau';
$LANG['wiki_title_already_exists'] = 'Le titre que vous avez choisi existe dj. Veuillez en choisir un autre';

//Redirection
$LANG['wiki_redirecting_from'] = 'Redirig depuis %s';
$LANG['wiki_remove_redirection'] = 'Supprimer la redirection';
$LANG['wiki_redirections'] = 'Redirections';
$LANG['wiki_redirections_management'] = 'Gestion des redirections';
$LANG['wiki_edit_redirection'] = 'Edition d\'une redirection';
$LANG['wiki_redirections_to_this_article'] = 'Redirections menant  l\'article: <em>%s</em>';
$LANG['wiki_redirection_name'] = 'Titre de la redirection';
$LANG['wiki_redirection_delete'] = 'Supprimer la redirection';
$LANG['wiki_alert_delete_redirection'] = 'Etes-vous sur de vouloir supprimer cette redirection?';
$LANG['wiki_no_redirection'] = 'Il n\'y a aucune redirection vers cette page';
$LANG['wiki_create_redirection'] = 'Crer une redirection vers cet article';
$LANG['wiki_create_redirection_to_this'] = 'Crer une redirection vers l\'article <em>%s</em>';

//Recherche
$LANG['wiki_search'] = 'Rechercher';
$LANG['wiki_search_key_words'] = 'Mots cls (4 caractres minimum)';
$LANG['wiki_search_result'] = 'Rsultats de la recherche';
$LANG['wiki_search_relevance'] = 'Pertinence du rsultat';
$LANG['wiki_empty_search'] = 'Aucun article n\'a t trouv.';

//Discussion
$LANG['wiki_article_com'] = 'Discussion sur l\'article';
$LANG['wiki_article_com_article'] = 'Discussion';

//Suppression
$LANG['wiki_confirm_delete_archive'] = 'Etes-vous sr de vouloir supprimer cette version de l\'article?';
$LANG['wiki_remove_cat'] = 'Suppression d\'une catgorie';
$LANG['wiki_remove_this_cat'] = 'Suppression de la catgorie: <em>%s</em>';
$LANG['wiki_explain_remove_cat'] = 'Vous souhaitez supprimer cette catgorie. Vous pouvez supprimer tout son contenu ou transfrer son contenu ailleurs. L\'article associ  cette catgorie sera quant  lui obligatoirement supprim.';
$LANG['wiki_remove_all_contents'] = 'Supprimer tout son contenu (action irrversible)';
$LANG['wiki_move_all_contents'] = 'Dplacer tout son contenu dans le dossier suivant:';
$LANG['wiki_future_cat'] = 'Catgorie dans laquelle vous souhaitez dplacer ses lments';
$LANG['wiki_alert_removing_cat'] = 'Etes-vous sr de vouloir supprimer cette catgorie (dfinitif)';
$LANG['wiki_confirm_remove_article'] = 'Etes-vous sur de vouloir supprimer cet article?';
$LANG['wiki_not_a_cat'] = 'Vous n\'avez pas slectionn de catgorie valide!';

//RSS
$LANG['wiki_rss'] = 'Flux RSS';
$LANG['wiki_rss_cat'] = 'Derniers articles de la catgorie %s';
$LANG['wiki_rss_last_articles'] = '%s: derniers articles';

//Favoris
$LANG['wiki_favorites'] = 'Favoris';
$LANG['wiki_unwatch_this_topic'] = 'Ne plus suivre cet article';
$LANG['wiki_unwatch'] = 'Ne plus suivre';
$LANG['wiki_watch'] = 'Suivre cet article';
$LANG['wiki_followed_articles'] = 'Favoris';
$LANG['wiki_already_favorite'] = 'Le sujet que vous dsirez mettre en favoris est dj en favoris';
$LANG['wiki_article_is_not_a_favorite'] = 'L\'article que vous souhaitez supprimer de vos favoris ne figure pas parmi vos favoris';
$LANG['wiki_no_favorite'] = 'Aucun article en favoris';
$LANG['wiki_confirm_unwatch_this_topic'] = 'Etes-vous certain de vouloir supprimer cet article de vos favoris?';

//Administration
$LANG['wiki_groups_config'] = 'Configuration des groupes';
$LANG['explain_wiki_groups'] = 'Vous pouvez paramtrer ici tout ce qui concerne les autorisations. Vous pouvez attribuer des autorisations  un niveau mais aussi des autorisations spciales  un groupe';
$LANG['wiki_auth_create_article'] = 'Crer un article';
$LANG['wiki_auth_create_cat'] = 'Crer une catgorie';
$LANG['wiki_auth_restore_archive'] = 'Restaurer une archive';
$LANG['wiki_auth_delete_archive'] = 'Supprimer une archive';
$LANG['wiki_auth_edit'] = 'Editer un article';
$LANG['wiki_auth_delete'] = 'Supprimer un article';
$LANG['wiki_auth_rename'] = 'Renommer un article';
$LANG['wiki_auth_redirect'] = 'Grer les redirections vers un article';
$LANG['wiki_auth_move'] = 'Dplacer un article';
$LANG['wiki_auth_status'] = 'Modifier le statut d\'un article';
$LANG['wiki_auth_com'] = 'Commenter un article';
$LANG['wiki_auth_restriction'] = 'Modifier le niveau de restrictions d\'un article';
$LANG['wiki_auth_restriction_explain'] = 'Il est conseill de le laisser aux modrateurs uniquement';
$LANG['wiki_config'] = 'Configuration du wiki';
$LANG['wiki_groups_config'] = 'Gestion des autorisations dans le wiki';
$LANG['wiki_management'] = 'Gestion du wiki';
$LANG['wiki_config_whole'] = 'Configuration gnrale';
$LANG['wiki_index'] = 'Accueil du wiki';
$LANG['wiki_count_hits'] = 'Compter le nombre de fois que sont vus les articles';
$LANG['wiki_name'] = 'Nom du wiki';
$LANG['wiki_display_cats'] = 'Afficher la liste des catgories principales sur l\'accueil';
$LANG['wiki_no_display'] = 'Ne pas afficher';
$LANG['wiki_display'] = 'Afficher';
$LANG['wiki_last_articles'] = 'Nombre des derniers articles  afficher sur l\'accueil';
$LANG['wiki_last_articles_explain'] = '0 pour dsactiver';
$LANG['wiki_desc'] = 'Texte de l\'accueil';
	
//explorateur du wiki
$LANG['wiki_explorer'] = 'Explorateur du wiki';
$LANG['wiki_root'] = 'Racine du wiki';
$LANG['wiki_root_contents'] = 'contenu de la racine';
$LANG['wiki_cats_tree'] = 'Arborescence du wiki';
$LANG['wiki_explorer_short'] = 'Explorateur';

?>